{* <!-- центральная часть главной страницы (каталог товаров) --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Если список товаров пустой, но есть признак страницы конкретного типа      |
    |  (костыль псевдо наполнения хитов, новинок, акционных для тех, кто не       |
    |  пользуется соответствующими флажками в товарах).                           |
    |                                                                             |
    ======================================================================== --> *}

    {if empty($products)}
        {if $smarty.request.mode|default:'' == 'hit'}
            {products count=20 filter=[ 'sort' => $smarty.const.SORT_PRODUCTS_MODE_BY_BROWSED|default:0,
                                        'sort_direction' => 1 ] assign=products}
        {elseif $smarty.request.mode|default:'' == 'newest'}
            {lastProducts count=20 assign=products}
        {elseif $smarty.request.mode|default:'' == 'actional'}
            {discountProducts count=20 assign=products}
        {/if}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Если переключились на список товаров конкретного типа.                     |
    |                                                                             |
    ======================================================================== --> *}

    {if isset($products)}
        {include 'search.tpl'
                 noSearchHistory = TRUE
                 search_title = $content_title|default:'Без заголовка!'
                 search_products = $products
                 prelast = 'Каталог'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Сообщаем в index.tpl: отключить верхний баннер.                        |
        |                                                                         |
        ==================================================================== --> *}

        {$no_top_banner = TRUE scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Может на странице карты разделов?                                          |
    |                                                                             |
    ======================================================================== --> *}

    {elseif isset($smarty.request.map)}

        {* <!-- ===================================================================
        |                                                                         |
        |  Хлебные крошки.                                                        |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/breadcrumbs.htm'
                 last = 'Производители'}

        {$title = 'Производители и разделы сайта' scope=global}
        <h1>{$title}</h1>

        {* <!-- ===================================================================
        |                                                                         |
        |  Карта брендов.                                                         |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/categories-map.htm'
                 categories = $all_brands|default:false
                 maxcount = 4}

        {* <!-- ===================================================================
        |                                                                         |
        |  Карта категорий.                                                       |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/categories-map.htm'
                 maxcount = 4}

        {* <!-- ===================================================================
        |                                                                         |
        |  Сообщаем в index.tpl: отключить верхний баннер.                        |
        |                                                                         |
        ==================================================================== --> *}

        {$no_top_banner = TRUE scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Иначе находимся на каталоге (списки разных типов товаров).                 |
    |                                                                             |
    ======================================================================== --> *}

    {else}

        {* <!-- ===================================================================
        |                                                                         |
        |  Вступительный текст.                                                   |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from='section->body' css='page-preamble preamble-text'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Хиты продаж (если не запрещены для главной в настройках сайта).        |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($settings->products_main_hit_enabled) && !empty($hit_products)}
            {include 'common/product-list.htm'
                     items = $hit_products
                     count = $settings->products_hit_maxcount|default:0
                     link = 'catalog?mode=hit'
                     title = $settings->products_hit_title|default:'Хиты продаж'
                     may_incomplete = false}
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Собственные блоки категорий.                                           |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/ownblocks.htm'
                 title = ''
                 ids = false
                 maxcount = 4
                 empty_body = ''}

        {* <!-- ===================================================================
        |                                                                         |
        |  Новинки (если не запрещены для главной в настройках сайта).            |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($settings->products_main_newest_enabled) && !empty($newest_products)}
            {include 'common/product-list.htm'
                     items = $newest_products
                     count = $settings->products_newest_maxcount|default:0
                     link = 'catalog?mode=newest'
                     title = $settings->products_newest_title|default:'Новые поступления'
                     may_incomplete = false}
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Акционные (если не запрещены для главной в настройках сайта).          |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($settings->products_main_actional_enabled) && !empty($actional_products)}
            {include 'common/product-list.htm'
                     items = $actional_products
                     count = $settings->products_actional_maxcount|default:0
                     link = 'catalog?mode=actional'
                     title = $settings->products_actional_title|default:'Специальное предложение'
                     may_incomplete = false}
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Скоро в продаже (если не запрещены для главной в настройках сайта).    |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($settings->products_main_awaited_enabled) && !empty($awaited_products)}
            {include 'common/product-list.htm'
                     items = $awaited_products
                     count = $settings->products_awaited_maxcount|default:0
                     link = 'catalog?mode=awaited'
                     title = $settings->products_awaited_title|default:'Скоро в продаже'
                     may_incomplete = false}
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Недавно покупали (если не запрещены для главной в настройках сайта).   |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($settings->products_main_ordered_enabled) && !empty($ordered_products)}
            {include 'common/product-list.htm'
                     items = $ordered_products
                     count = $settings->products_ordered_maxcount|default:0
                     link = 'catalog?mode=ordered'
                     title = $settings->products_ordered_title|default:'Недавно покупали'
                     may_incomplete = false}
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Недавно обсуждали (если не запрещены для главной в настройках сайта).  |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($settings->products_main_commented_enabled) && !empty($commented_products)}
            {include 'common/product-list.htm'
                     items = $commented_products
                     count = $settings->products_commented_maxcount|default:0
                     link = 'catalog?mode=commented'
                     title = $settings->products_commented_title|default:'Недавно обсуждали'
                     may_incomplete = false}
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Фото галерея.                                                          |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/gallery.htm'
                 item = $section|default:false
                 type = section
                 folder = 'files/images/sections'
                 images_title = 'Фото галерея'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Анонсовые списки статей и новостей.                                    |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/news-announce.htm'}
    {/if}

{/strip}