{* <!-- центральная часть страницы сравнения товаров --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Устанавливаем глобальные переменные (для заголовков страницы в index.tpl). |
    |                                                                             |
    ======================================================================== --> *}

    {$meta = '<meta name="Robots" content="noindex,follow" />' scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Хлебные крошки.                                                            |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/breadcrumbs.htm'
             prelast = 'Сравнение товаров'}

    <h1>Сравнение товаров</h1>

    {* <!-- =======================================================================
    |                                                                             |
    |  Вступительный текст.                                                       |
    |                                                                             |
    ======================================================================== --> *}

    {messageBox from='section->body' css='page-preamble preamble-text'}

    {* <!-- =======================================================================
    |                                                                             |
    |  Таблица сравнения.                                                         |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($products)}
        <table class="std" id="product_comparison">
            <tr class="comparison_header">
                <th>Характеристики</th>

                {* <!-- ===========================================================
                |                                                                 |
                |  Название каждого товара.                                       |
                |                                                                 |
                ============================================================ --> *}

                {$count = 4}
                {foreach $products as $item}
                    <th>
                        <a class="product_link" href="{url}" title="{name}">
                            {plainText from='item->model' size=24}
                        </a>
                    </th>
                    {$count = $count - 1}
                    {if $count < 1}{break}{/if}
                {/foreach}

                {* <!-- дополняем пустыми колонками до 4 --> *}

                {section name=empties loop=$count}
                    <th>&nbsp;</th>
                {/section}
            </tr>

            {* <!-- ===============================================================
            |                                                                     |
            |  Строка карточек товаров.                                           |
            |                                                                     |
            ================================================================ --> *}

            <tr>
                <td>&nbsp;</td>
                {$count = 4}
                {foreach $products as $item}
                    <td class="ajax_block_product">

                        {* <!-- ===================================================
                        |                                                         |
                        |  Описание.                                              |
                        |                                                         |
                        ==================================================== --> *}

                        <p class="product_desc">
                            <a class="product_descr" href="{url}">
                                {plainText from='item->description' size=50}
                            </a>
                        </p>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Фотография (миниатюра).                                |
                        |                                                         |
                        ==================================================== --> *}

                        {findImage type=product view='*' assign=image}
                        <div class="comparison_product_infos">
                            <a class="product_image" href="{url}">
                                <img src="{$image['thumb']}" />
                            </a>

                            {* <!-- ===============================================
                            |                                                     |
                            |  Цена.                                              |
                            |                                                     |
                            ================================================ --> *}

                            <p><span class="price">{discountPrice}</span></p>
                            <div class="product_discount"></div>

                            {* <!-- ссылка Убрать из сравнения --> *}

                            <a class="cmp_remove" href="compare/remove/{inputValue from='item->url'}" title="Убрать из сравнения">Убрать</a>
                        </div>
                    </td>
                    {$count = $count - 1}
                    {if $count < 1}{break}{/if}
                {/foreach}

                {* <!-- дополняем пустыми колонками до 4 --> *}

                {section name=empties loop=$count}
                    <td>&nbsp;</td>
                {/section}
            </tr>

            {* <!-- ===============================================================
            |                                                                     |
            |  Список свойств.                                                    |
            |                                                                     |
            ================================================================ --> *}

            {if !empty($properties)}
                {$index = 0}
                {foreach $properties as $k => $v}
                    {$class = ($index % 2 == 0) ? 'odd' : 'even'}
                    {$index = $index + 1}
                    <tr>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Название свойства.                                     |
                        |                                                         |
                        ==================================================== --> *}

                        <td class="comparison_feature_{$class}">{$k}</td>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Значение этого свойства у каждого товара.              |
                        |                                                         |
                        ==================================================== --> *}

                        {$count = 4}
                        {foreach $products as $item}
                            {echoVar from='item->product_id' assign=id}
                            <td class="comparison_feature_{$class} comparison_infos">
                                {$v[$id]|default:'-'}
                            </td>
                            {$count = $count - 1}
                            {if $count < 1}{break}{/if}
                        {/foreach}

                        {* <!-- дополняем пустыми колонками до 4 --> *}

                        {section name=empties loop=$count}
                            <td>&nbsp;</td>
                        {/section}
                    </tr>
                {/foreach}
            {/if}
        </table>
    {else}
        <div class="error">Нет товаров для сравнения.</div>
    {/if}

{/strip}