// ================================================================================
// Система: Impera CMS                                                            |
// Модуль: NextWeb filter                                                         |
// Версия модуля: 1.0                                                             |
// Автор: NextWeb (кодинг модуля: разработчик Impera CMS)                         |
// Сайт автора: http://nextweb.ua                                                 |
//                                                                                |
// Файл: js/prices-range-slider.js - скрипт обработки слайдера диапазона цен      |
// Тип: вспомогательный файл модуля                                               |
// ================================================================================



  // если не была определена переменная предельного значения цены в фильтре,
  // тогда считаем ее равной 50000
  if (typeof(filter_prices_range_maxvalue) == 'undefined') { var filter_prices_range_maxvalue = 50000; }
  if (typeof(filter_prices_range_leftvalue) == 'undefined') { var filter_prices_range_leftvalue = 0; }
  if (typeof(filter_prices_range_rightvalue) == 'undefined') { var filter_prices_range_rightvalue = 50000; }



  // выполняем после готовности страницы
  jQuery(document).ready(function () {

      // инициализируем слайдер диапазона цен
      jQuery('#filter-prices-slider').slider({ min: 0,
                                               max: filter_prices_range_maxvalue,
                                               values: [filter_prices_range_leftvalue, filter_prices_range_rightvalue],
                                               range: true,
                                               stop: function (event, ui) {
                                                         jQuery('input#filter-prices-minimal').val(jQuery('#filter-prices-slider').slider('values', 0));
                                                         jQuery('input#filter-prices-maximal').val(jQuery('#filter-prices-slider').slider('values', 1));
                                                     },
                                               slide: function (event, ui) {
                                                          jQuery('input#filter-prices-minimal').val(jQuery('#filter-prices-slider').slider('values', 0));
                                                          jQuery('input#filter-prices-maximal').val(jQuery('#filter-prices-slider').slider('values', 1));
                                                      }
                                             });

      // обработка изменения левой границы диапазона цен
      jQuery('input#filter-prices-minimal').change(function () {
                                                       var value1 = jQuery('input#filter-prices-minimal').val();
                                                       var value2 = jQuery('input#filter-prices-maximal').val();
                                                       if (parseInt(value1) > parseInt(value2)) {
                                                           value1 = value2;
                                                           jQuery('input#filter-prices-minimal').val(value1);
                                                       }
                                                       jQuery('#filter-prices-slider').slider('values', 0, value1);
                                                   });

      // обработка изменения правой границы диапазона цен
      jQuery('input#filter-prices-maximal').change(function () {
                                                       var value1 = jQuery('input#filter-prices-minimal').val();
                                                       var value2 = jQuery('input#filter-prices-maximal').val();
                                                       if (value2 > filter_prices_range_maxvalue) {
                                                           value2 = filter_prices_range_maxvalue;
                                                           jQuery('input#filter-prices-maximal').val(value2);
                                                       }
                                                       if (parseInt(value1) > parseInt(value2)) {
                                                           value2 = value1;
                                                           jQuery('input#filter-prices-maximal').val(value2);
                                                       }
                                                       jQuery('#filter-prices-slider').slider('values', 1, value2);
                                                   });

      // фильтрация ввода в поля границ диапазона цен
      jQuery('input[data-chartype=numeric]').keypress(function (event) {
          var key, keyChar;
          if (!event) var event = window.event;
          if (event.keyCode) {
            key = event.keyCode;
          } else if (event.which) {
            key = event.which;
          }
          if (key == null || key == 0 || key == 8 || key == 13 || key == 9 || key == 46 || key == 37 || key == 39 ) return true;
          keyChar = String.fromCharCode(key);
          if (!/\d/.test(keyChar))	return false;
      });
  });
