{* <!-- ==========================================================================+
  Система: Impera CMS                                                             |
  Сайт системы: http://imperacms.ru/                                              |
                                                                                  |
  Назначение файла: модуль NextWeb filter (версия: 1.0, автор: http://nextweb.ua) |
  Расположение: http://сайт/design/папка_шаблона/html/filter/main.tpl             |
  Предназначен для шаблона: Electronics Online Store (TM #42351)                  |
  Автор шаблона: Hermes (http://templatemonster.com/ru/search/?author=Hermes)     |
                                                                                  |
  Принимает во входных переменных:                                                |
    $title = оглавление фильтра (по умолчанию пустая строка)                      |
    $title_prices = оглавление блока диапазона цен (по умолчанию Цена)            |
    $title_brands = оглавление блока брендов (по умолчанию Бренды)                |
    $title_variants = оглавление блока вариантов (по умолчанию Варианты)          |
    $show_prices = булевой признак "показать блок Диапазон цен" (по умолч. true)  |
    $show_brands = булевой признак "показать блок Бренды" (по умолчанию true)     |
    $show_variants = булевой признак "показать блок Варианты" (по умолчанию true) |
    $show_properties = булевой признак "показать блок Свойства" (по умолч. true)  |
    $brand_property = название свойства, считаемого дубликатом блока Бренды       |
    $variant_property = название свойства, считаемого дубликатом блока Варианты   |
    $show_counts = булевой признак "показать число товаров у свойств" (ум. false) |
    $short_count = булевой признак "показать число товаров кратко" (умолч. false) |
    $size = количество сразу видимых флажков в блоках фильтра (по умолчанию 5)    |
    $oneclick = булевой признак "режим работы В один щелчок" (по умолчанию false) |
    $price_maxvalue = максимальное значение в диапазоне цен (по умолчанию 50000)  |
    $link_css = булевой признак "подключить свои стили" (по умолчанию true)       |
    $link_engine = булевой признак "подключить свой яваскрипт" (по умолчан. true) |
    $link_uislider = булевой признак "подключить jQuery UI slider" (умолч. true)  |
                                                                                  |
  Использует другие переменные:                                                   |
    $brands = массив записей о брендах текущей категории                          |
    $variants = массив записей о именах вариантов отобранных товаров              |
    $properties = массив записей о свойствах отобранных товаров                   |
    $cost_from = левая граница диапазона цен                                      |
    $cost_to = правая граница диапазона цен                                       |
    $items_count = число отобранных товаров                                       |
    $theme = полный url папки текущего шаблона клиентской стороны сайта           |
                                                                                  |
============================================================================ --> *}{strip}

    {$cost_from = $cost_from|default:$smarty.request.cost_from|default:$smarty.session.search_cost_from|default:0}
    {$cost_to = $cost_to|default:$smarty.request.cost_to|default:$smarty.session.search_cost_to|default:0}


    {* <!-- готовим стилевой путь --> *}
    {$nw_filter_common = (($theme|default:'')|cat:'html/filter/')|escape}
    {$nw_filter_parts = 'filter/parts/'}

    {* <!-- если позволили подключить свои стили --> *}
    {if !isset($link_css) || $link_css}
        <link href="{$nw_filter_common}css/style.css" rel="stylesheet" type="text/css" />
    {/if}

    {* <!-- если просят задать максимальное значение в диапазоне цен --> *}
    {if $price_maxvalue|default:0 > 0}
        <script>var filter_prices_range_maxvalue = {$price_maxvalue|string_format:'%d'};</script>
    {/if}
    {if $cost_from > 0}
        <script>var filter_prices_range_leftvalue = {$cost_from|string_format:'%d'};</script>
    {/if}
    {if $cost_to > 0}
        <script>var filter_prices_range_rightvalue = {$cost_to|string_format:'%d'};</script>
    {/if}

    {* <!-- если позволили подключить свой яваскрипт --> *}
    {if !isset($link_engine) || $link_engine}
        <script src="{$nw_filter_common}js/prices-range-slider.js" type="text/javascript"></script>
    {/if}

    {* <!-- если позволили подключить jQuery UI slider --> *}
    {if !isset($link_uislider) || $link_uislider}
        <script src="{$nw_filter_common}js/jquery.ui-slider.js" type="text/javascript"></script>
    {/if}

    {* <!-- блок состояния --> *}
    <div class="filter-container">
        <div class="filter-container-state">
            {if !empty($title)}
                <div class="filter-container-title">{$title}</div>
            {/if}
            {include file = $nw_filter_parts|cat:'state-form.tpl'
                     title_prices = $title_prices|default:'Цена'
                     title_brands = $title_brands|default:'Бренды'
                     title_variants = $title_variants|default:'Варианты'
                     show_counts = $show_counts|default:false
                     short_count = $short_count|default:false
                     oneclick = $oneclick|default:false}
        </div>

        {* <!-- блок флажков --> *}
        <div class="filter-container-selector">
            {include file = $nw_filter_parts|cat:'selector-form.tpl'
                     title_prices = $title_prices|default:'Цена'
                     title_brands = $title_brands|default:'Бренды'
                     title_variants = $title_variants|default:'Варианты'
                     show_prices = isset($show_prices) && $show_prices
                     show_brands = isset($show_brands) && $show_brands
                     show_variants = isset($show_variants) && $show_variants
                     show_properties = isset($show_properties) && $show_properties
                     brand_property = $brand_property|default:''
                     variant_property = $variant_property|default:''
                     show_counts = $show_counts|default:false
                     short_count = $short_count|default:false
                     size = $size|default:5
                     oneclick = $oneclick|default:false}
        </div>
    </div>

{/strip}