{* <!-- ===========================================================================
  Система: Impera CMS                                                             |
  Модуль: NextWeb filter                                                          |
  Версия модуля: 1.0                                                              |
  Автор: NextWeb (кодинг модуля: разработчик Impera CMS)                          |
  Сайт автора: http://nextweb.ua                                                  |
                                                                                  |
  Файл: parts/brands.tpl - фильтр брендов                                         |
  Тип: вспомогательный файл модуля                                                |
                                                                                  |
  Принимает во входных переменных:                                                |
    $title = оглавление блока фильтра                                             |
    $items = массив записей о брендах текущей категории                           |
    $size = количество сразу видимых флажков (остальные скрыты и видны по клику)  |
    $compact = булевой признак "показать только помеченные в фильтре"             |
    $oneclick = булевой признак "режим работы В один щелчок"                      |
                                                                                  |
  Использует другие переменные:                                                   |
    $site = полный url корня сайта (то есть http://домен.сайта/ например)         |
    $smarty.request = массив параметров запроса текущей страницы                  |
    $smarty.request.filter_brand = массив идентификаторов помеченных брендов      |
                                                                                  |
  Пример результата работы файла:                                                 |
    <div class="filter-brands">                                                   |
        <div class="filter-brands-title">                                         |
            ...                                                                   |
        </div>                                                                    |
        <label class="filter-brand-item" ... >                                    |
            <input class="checkbox" ... /> ...                                    |
        </label>                                                                  |
        <label class="filter-brand-item" ... >                                    |
            <input class="checkbox" ... /> ...                                    |
        </label>                                                                  |
        ...                                                                       |
        ...                                                                       |
        <a class="filter-link-more" ... >                                         |
            показать все                                                          |
        </a>                                                                      |
    </div>                                                                        |
============================================================================ --> *}{strip}

  {* <!-- если получены записи брендов --> *}
  {if isset($items) && is_array($items) && !empty($items)}

      {* <!-- перебираем бренды --> *}
      {$temp_count = 0}
      {foreach $items as $r}

          {* <!-- если не просили компактный режим или этот бренд помечен в фильтре --> *}
          {$temp_id = $r->brand_id|default:0}
          {if !$compact|default:false || isset($smarty.request.filter_brand.$temp_id)}

              {* <!-- +1 флажок фильтра нашли --> *}
              {$temp_count = $temp_count + 1}

              {* <!-- если нашли первый флажок, открываем блок --> *}
              {if $temp_count == 1}
                  <div class="filter-brands">

                      {* <!-- если указали оглавление, выводим --> *}
                      {if $title|default:'' != ''}
                          <div class="filter-brands-title">
                              {$title}
                          </div>
                      {/if}
              {/if}

              {* <!-- надпись флажка --> *}
              <label class="filter-brand-item" {**}

                     {* <!-- если не просили компактный режим и это флажок под кнопкой Показать все --> *}
                     {if !$compact|default:false && ($temp_count > $size|default:5)}
                         style="display: none;"
                     {/if}>

                  {* <!-- флажок --> *}
                  <input class="checkbox" {**}
                         type="checkbox" {**}
                         value="1" {**}

                         {* <!-- такое имя должен иметь флажок для передачи выбора в движок --> *}
                         name="filter_brand[{$temp_id|regex_replace:'/[\[\]]/':''|escape}]" {**}

                         {* <!-- если этот бренд помечен в фильтре --> *}
                         {if isset($smarty.request.filter_brand.$temp_id)}
                             checked
                         {/if} {**}

                         {* <!-- если просили компактный режим или "В один щелчок" --> *}
                         {if $compact|default:false || $oneclick|default:false}

                             {* <!-- по смене постим форму и даем контейнеру фильтра стиль ИСПОЛНЯЕТСЯ --> *}
                             onchange="javascript: var object = jQuery(this).closest('form');
                                                   jQuery(object).closest('.filter-container')
                                                                 .addClass('filter-container-posted');
                                                   jQuery(object).submit();"
                         {/if} /> {**}

                  {* <!-- название бренда --> *}
                  {$r->name|default:'Без названия!'}

              </label>

          {/if}

      {/foreach}

      {* <!-- если не просили компактный режим и есть скрытые флажки --> *}
      {if !$compact|default:false && ($temp_count > $size|default:5)}

          {* <!-- ссылка Показать все --> *}
          <a class="filter-link-more" {**}
             href="{$site|default:''|escape}" {**}

             {* <!-- по клику скрываем ссылку и показываем все флажки в блоке --> *}
             onclick="javascript: jQuery(this).hide();
                                  jQuery(this).closest('.filter-brands')
                                              .find('.filter-brand-item')
                                              .show();
                                  return false;">
              показать все
          </a>

      {/if}

      {* <!-- если были найдены флажки, закрываем открытый блок --> *}
      {if $temp_count > 0}
          </div>
      {/if}

  {/if}

{/strip}