{* <!-- ===========================================================================
  Система: Impera CMS                                                             |
  Модуль: NextWeb filter                                                          |
  Версия модуля: 1.0                                                              |
  Автор: NextWeb (кодинг модуля: разработчик Impera CMS)                          |
  Сайт автора: http://nextweb.ua                                                  |
                                                                                  |
  Файл: parts/properties.tpl - фильтр свойств товара                              |
  Тип: вспомогательный файл модуля                                                |
                                                                                  |
  Принимает во входных переменных:                                                |
    $items = массив записей о свойствах отобранных товаров                        |
    $size = количество сразу видимых флажков (остальные скрыты и видны по клику)  |
    $show_counts = булевой признак "показать число товаров у значений свойств"    |
    $short_count = булевой признак "показать число товаров кратко"                |
    $compact = булевой признак "показать только помеченные в фильтре"             |
    $oneclick = булевой признак "режим работы В один щелчок"                      |
                                                                                  |
  Использует другие переменные:                                                   |
    $site = полный url корня сайта (то есть http://домен.сайта/ например)         |
    $smarty.request = массив параметров запроса текущей страницы                  |
    $smarty.request.filter_property = массив идентификаторов помеченных свойств   |
                                                                                  |
  Пример результата работы файла:                                                 |
    <div class="filter-properties">                                               |
        <div class="filter-properties-title">                                     |
            ...                                                                   |
        </div>                                                                    |
        <label class="filter-property-item ..." ... >                             |
            <input class="checkbox" ... /> ...                                    |
        </label>                                                                  |
        <label class="filter-property-item ..." ... >                             |
            <input class="checkbox" ... /> ...                                    |
                                           <span class="filter-items-count">      |
                                               ...                                |
                                           </span>                                |
        </label>                                                                  |
        ...                                                                       |
        ...                                                                       |
        <a class="filter-link-more" ... >                                         |
            показать все                                                          |
        </a>                                                                      |
    </div>                                                                        |
    <div class="filter-properties">                                               |
        ...                                                                       |
        ...                                                                       |
    </div>                                                                        |
    ...                                                                           |
    ...                                                                           |
============================================================================ --> *}{strip}

  {* <!-- если получены записи свойств --> *}
  {if isset($items) && is_array($items) && !empty($items)}

      {* <!-- перебираем свойства --> *}
      {foreach $items as $r}

          {* <!-- если у свойства есть непустой массив значений --> *}
          {if isset($r->options) && is_array($r->options) && !empty($r->options)}
              {$temp_count = 0}
              {$temp_recount = 0}
              {$temp_id = $r->property_id|default:0}

              {* <!-- захватываем в $temp результат перебора значений свойства --> *}
              {capture assign = 'temp'}

                  {* <!-- перебираем значения свойства --> *}
                  {foreach $r->options as $o}

                      {* <!-- если не просили компактный режим или это значение помечено в фильтре --> *}
                      {$temp_value = $o->value|default:'Без названия!'}
                      {if !$compact|default:false || isset($smarty.request.filter_property.$temp_id.$temp_value)}

                          {* <!-- +1 флажок фильтра нашли --> *}
                          {$temp_count = $temp_count + 1}

                          {* <!-- если нашли первый флажок, открываем блок --> *}
                          {if $temp_count == 1}
                              <div class="filter-properties">

                                  {* <!-- оглавляем названием свойства --> *}
                                  <div class="filter-properties-title">
                                      {$r->name|default:'Без названия!'}
                                  </div>
                          {/if}

                          {* <!-- надпись флажка --> *}
                          <label class="filter-property-item {**}

                                        {* <!-- если это значение неактуально для отобранных товаров, даем надписи стиль НЕАКТИВНО --> *}
                                        {if isset($o->actual) && !$o->actual}
                                            filter-item-disabled
                                            {$temp_recount = $temp_recount - 1}
                                        {/if}" {**}

                                 {* <!-- если не просили компактный режим и это значение неактуально или это скрытый флажок --> *}
                                 {if !$compact|default:false && (isset($o->actual) && !$o->actual
                                                                 || ($temp_count + $temp_recount > $size|default:5))}
                                     style="display: none;"
                                 {/if}>

                              {* <!-- флажок --> *}
                              <input class="checkbox" {**}
                                     type="checkbox" {**}
                                     value="1" {**}

                                     {* <!-- такое имя должен иметь флажок для передачи выбора в движок --> *}
                                     name="filter_property[{$temp_id|regex_replace:'/[\[\]]/':''|escape}][{$temp_value|regex_replace:'/[\[\]]/':''|escape}]" {**}

                                     {* <!-- если это значение помечено в фильтре --> *}
                                     {if isset($smarty.request.filter_property.$temp_id.$temp_value)}
                                         checked
                                     {/if} {**}

                                     {* <!-- если это значение неактуально для отобранных товаров --> *}
                                     {if isset($o->actual) && !$o->actual}
                                         disabled
                                     {/if} {**}

                                     {* <!-- если просили компактный режим или "В один щелчок" --> *}
                                     {if $compact|default:false || $oneclick|default:false}

                                         {* <!-- по смене постим форму и даем контейнеру фильтра стиль ИСПОЛНЯЕТСЯ --> *}
                                         onchange="javascript: var object = jQuery(this).closest('form');
                                                               jQuery(object).closest('.filter-container')
                                                                             .addClass('filter-container-posted');
                                                               jQuery(object).submit();"
                                     {/if} /> {**}

                              {* <!-- значение свойства --> *}
                              {$temp_value}

                              {* <!-- если просили показать число товаров у значений свойств --> *}
                              {if $show_counts|default:false}

                                  {* <!-- если известно количество товаров --> *}
                                  {if $o->count|default:0 > 0}
                                      <span class="filter-items-count">

                                          {* <!-- если просили показать число товаров кратко --> *}
                                          {if $short_count|default:false}
                                              {$o->count|string_format:'%d'}
                                          {else}
                                              {$o->count|string_format:'%d'} шт.
                                          {/if}

                                      </span>
                                  {/if}

                              {/if}

                          </label>

                      {/if}

                  {/foreach}

                  {* <!-- если не просили компактный режим и есть скрытые флажки --> *}
                  {if !$compact|default:false && (($temp_count > $size|default:5)
                                                  || ($temp_recount != 0))}

                      {* <!-- ссылка Показать все --> *}
                      <a class="filter-link-more" {**}
                         href="{$site|default:''|escape}" {**}

                         {* <!-- по клику скрываем ссылку и показываем все флажки в блоке --> *}
                         onclick="javascript: jQuery(this).hide();
                                              jQuery(this).closest('.filter-properties')
                                                          .find('.filter-property-item')
                                                          .show();
                                              return false;">
                          показать все
                      </a>

                  {/if}

                  {* <!-- если были найдены флажки, закрываем открытый блок --> *}
                  {if $temp_count > 0}
                      </div>
                  {/if}

              {/capture}

              {* <!-- если просили компактный режим или есть хоть один актуальный флажок, показываем результат перебора значений свойства --> *}
              {if $compact|default:false || ($temp_count + $temp_recount > 0)}
                  {$temp}
              {/if}

          {/if}

      {/foreach}

  {/if}

{/strip}