{* <!-- ===========================================================================
  Система: Impera CMS                                                             |
  Модуль: NextWeb filter                                                          |
  Версия модуля: 1.0                                                              |
  Автор: NextWeb (кодинг модуля: разработчик Impera CMS)                          |
  Сайт автора: http://nextweb.ua                                                  |
                                                                                  |
  Файл: parts/selector-form.tpl - форма со всеми флажками                         |
  Тип: вспомогательный файл модуля                                                |
                                                                                  |
  Принимает во входных переменных:                                                |
    $title_prices = оглавление блока диапазона цен                                |
    $title_brands = оглавление блока брендов                                      |
    $title_variants = оглавление блока вариантов                                  |
    $show_prices = булевой признак "показать блок Диапазон цен"                   |
    $show_brands = булевой признак "показать блок Бренды"                         |
    $show_variants = булевой признак "показать блок Варианты"                     |
    $show_properties = булевой признак "показать блок Свойства"                   |
    $brand_property = название свойства, считаемого дубликатом блока Бренды       |
    $variant_property = название свойства, считаемого дубликатом блока Варианты   |
    $show_counts = булевой признак "показать число товаров у свойств"             |
    $short_count = булевой признак "показать число товаров кратко"                |
    $size = количество сразу видимых флажков (остальные скрыты и видны по клику)  |
    $oneclick = булевой признак "режим работы В один щелчок"                      |
                                                                                  |
  Использует другие переменные:                                                   |
    $brands = массив записей о брендах текущей категории                          |
    $variants = массив записей о именах вариантов отобранных товаров              |
    $properties = массив записей о свойствах отобранных товаров                   |
    $cost_from = левая граница диапазона цен                                      |
    $cost_to = правая граница диапазона цен                                       |
    $currency = запись о текущей валюте клиентской стороны сайта                  |
    $site = полный url корня сайта (то есть http://домен.сайта/ например)         |
    $smarty.server = массив параметров из переменной $_SERVER                     |
                                                                                  |
  Пример результата работы файла:                                                 |
    <form class="filter-container-selector-form" ... >                            |
        <div class="filter-prices">                                               |
            <div class="filter-prices-title">                                     |
                ...                                                               |
            </div>                                                                |
            <div class="filter-prices-slider">                                    |
                <div id="filter-prices-slider"></div>                             |
                <div class="filter-prices-range">                                 |
                    <div ... >                                                    |
                        ... <input id="filter-prices-minimal" ... >               |
                    </div>                                                        |
                    <div>                                                         |
                        ... <input id="filter-prices-maximal" ... >               |
                    </div>                                                        |
                </div>                                                            |
            </div>                                                                |
        </div>                                                                    |
        ...                                                                       |
        ...                                                                       |
        <a class="filter-link-reset">                                             |
            ...                                                                   |
        </a>                                                                      |
        <a class="filter-link-submit">                                            |
            ...                                                                   |
        </a>                                                                      |
    </form>                                                                       |
============================================================================ --> *}{strip}

  {* <!-- определяем основной URI страницы для передачи параметром action в форму --> *}
  {$temp = $smarty.server.REQUEST_URI|default:''}
  {$temp = $temp|regex_replace:'/#.*$/':''}
  {$temp = $temp|regex_replace:'/\?.*$/':''}
  {$temp = $temp|regex_replace:"'[/\\\]page_[0-9]+$'":''}

  {* <!-- форма --> *}
  <form action="{$temp|escape}" class="filter-container-selector-form" method="get">

      {* <!-- если просили показать блок Диапазон цен --> *}
      {if !isset($show_prices) || $show_prices|default:false}

          {* <!-- фильтр цены --> *}
          <div class="filter-prices">
              <div class="filter-prices-title">
                  {$title_prices|default:'Цена'}
              </div>

              <div class="filter-prices-slider">
                  <div id="filter-prices-slider"></div>
                  <div class="filter-prices-range">
                      <div class="filter-prices-range-minimal">
                          от <input maxlength="6" {**}
                                    name="cost_from" {**}
                                    type="text" {**}
                                    data-chartype="numeric" {**}
                                    id="filter-prices-minimal" {**}
                                    value="{if $cost_from > 0}
                                               {$cost_from|string_format:'%d'}
                                           {/if}" />
                      </div>
                      <div class="filter-prices-range-maximal">
                          до <input maxlength="6" {**}
                                    name="cost_to" {**}
                                    type="text" {**}
                                    data-chartype="numeric" {**}
                                    id="filter-prices-maximal" {**}
                                    value="{if $cost_to > 0}
                                               {$cost_to|string_format:'%d'}
                                           {/if}" /> {**}
                          {$currency->sign|default:''}
                      </div>
                  </div>
              </div>

          </div>

      {/if}

      {* <!-- если просили показать блок Бренды --> *}
      {if !isset($show_brands) || $show_brands|default:false}

          {* <!-- если задано название свойства, считаемого дубликатом блока Бренды, ищем такое в свойствах --> *}
          {$temp_count = 0}
          {$temp = $brand_property|default:''|lower}
          {if $temp != ''}
              {if isset($properties) && is_array($properties) && !empty($properties)}
                  {foreach $properties as $r}
                      {if $r->name|default:''|lower == $temp}
                          {$temp_count = $temp_count + 1}
                      {/if}
                  {/foreach}
              {/if}
          {/if}

          {* <!-- если в свойствах не найдено название, считаемое дубликатом блока Бренды --> *}
          {if $temp_count == 0}

              {* <!-- подключаем фильтр брендов --> *}
              {include file = $nw_filter_parts|cat:'brands.tpl'
                       title = $title_brands|default:'Бренды'
                       items = $brands|default:false
                       size = $size|default:5
                       compact = false
                       oneclick = $oneclick|default:false}

          {/if}

      {/if}

      {* <!-- если просили показать блок Варианты --> *}
      {if !isset($show_variants) || $show_variants|default:false}

          {* <!-- если задано название свойства, считаемого дубликатом блока Варианты, ищем такое в свойствах --> *}
          {$temp_count = 0}
          {$temp = $variant_property|default:''|lower}
          {if $temp != ''}
              {if isset($properties) && is_array($properties) && !empty($properties)}
                  {foreach $properties as $r}
                      {if $r->name|default:''|lower == $temp}
                          {$temp_count = $temp_count + 1}
                      {/if}
                  {/foreach}
              {/if}
          {/if}

          {* <!-- если в свойствах не найдено название, считаемое дубликатом блока Варианты --> *}
          {if $temp_count == 0}

              {* <!-- подключаем фильтр вариантов --> *}
              {include file = $nw_filter_parts|cat:'variants.tpl'
                       title = $title_variants|default:'Варианты'
                       items = $variants|default:false
                       size = $size|default:5
                       compact = false
                       oneclick = $oneclick|default:false}

          {/if}

      {/if}

      {* <!-- если просили показать блок Свойства --> *}
      {if !isset($show_properties) || $show_properties|default:false}

          {* <!-- подключаем фильтр свойств --> *}
          {include file = $nw_filter_parts|cat:'properties.tpl'
                   items = $properties|default:false
                   size = $size|default:5
                   show_counts = $show_counts|default:false
                   short_count = $short_count|default:false
                   compact = false
                   oneclick = $oneclick|default:false}

      {/if}

      {* <!-- если не просили режим работы "В один щелчок" или просили показать блок Диапазон цен --> *}
      {if !$oneclick|default:false || !isset($show_prices) || $show_prices|default:false}

          {* <!-- ссылка Сбросить фильтр --> *}
          <a href="{$site|default:''|escape}" {**}
             class="filter-link-reset" {**}

             {* <!-- по клику очищаем поля формы --> *}
             onclick="javascript: var object = jQuery(this).closest('form');
                                  jQuery(object).find('input[type=text]').val('');
                                  jQuery(object).find('input[type=checkbox]')
                                                .each(function () {
                                                          this.checked = false;
                                                      });
                                  return false;">
              Сбросить
          </a>

          {* <!-- ссылка Подобрать товары --> *}
          <a href="{$site|default:''|escape}" {**}
             class="filter-link-submit" {**}

             {* <!-- по клику постим форму и даем контейнеру фильтра стиль ИСПОЛНЯЕТСЯ --> *}
             onclick="javascript: var object = jQuery(this).closest('form');
                                  jQuery(object).closest('.filter-container')
                                                .addClass('filter-container-posted');
                                  jQuery(object).submit();
                                  return false;">
              Подобрать
          </a>

      {/if}

  </form>

{/strip}