{* <!-- ===========================================================================
  Система: Impera CMS                                                             |
  Модуль: NextWeb filter                                                          |
  Версия модуля: 1.0                                                              |
  Автор: NextWeb (кодинг модуля: разработчик Impera CMS)                          |
  Сайт автора: http://nextweb.ua                                                  |
                                                                                  |
  Файл: parts/state-form.tpl - форма только с выбранными флажками                 |
  Тип: вспомогательный файл модуля                                                |
                                                                                  |
  Принимает во входных переменных:                                                |
    $title_prices = оглавление блока диапазона цен                                |
    $title_brands = оглавление блока брендов                                      |
    $title_variants = оглавление блока вариантов                                  |
    $show_counts = булевой признак "показать число товаров у свойств"             |
    $short_count = булевой признак "показать число товаров кратко"                |
    $oneclick = булевой признак "режим работы В один щелчок"                      |
                                                                                  |
  Использует другие переменные:                                                   |
    $brands = массив записей о брендах текущей категории                          |
    $variants = массив записей о именах вариантов отобранных товаров              |
    $properties = массив записей о свойствах отобранных товаров                   |
    $cost_from = левая граница диапазона цен                                      |
    $cost_to = правая граница диапазона цен                                       |
    $items_count = число отобранных товаров                                       |
    $currency = запись о текущей валюте клиентской стороны сайта                  |
    $site = полный url корня сайта (то есть http://домен.сайта/ например)         |
    $smarty.server = массив параметров из переменной $_SERVER                     |
                                                                                  |
  Пример результата работы файла:                                                 |
    <div class="filter-container-state-totals">                                   |
        ...                                                                       |
    </div>                                                                        |
    <form class="filter-container-state-form" ... >                               |
        <div class="filter-prices">                                               |
            <div class="filter-prices-title">                                     |
                ...                                                               |
            </div>                                                                |
            <label class="filter-price-item">                                     |
                ...                                                               |
            </label>                                                              |
        </div>                                                                    |
        ...                                                                       |
        ...                                                                       |
        <a class="filter-link-submit" ... >                                       |
            показать все                                                          |
        </a>                                                                      |
    </form>                                                                       |
============================================================================ --> *}{strip}

  {* <!-- захватываем в $temp результат подключений блоков фильтра в компактном режиме --> *}
  {capture assign = 'temp'}

      {* <!-- если заданы границы диапазона цен, ставим скрытые поля со значениями --> *}
      {if $cost_from > 0}
          <input name="cost_from" type="hidden" value="{$cost_from|string_format:'%d'}" />
      {/if}
      {if $cost_to > 0}
          <input name="cost_to" type="hidden" value="{$cost_to|string_format:'%d'}" />
      {/if}

      {* <!-- подключаем фильтр брендов --> *}
      {include file = $nw_filter_parts|cat:'brands.tpl'
               title = $title_brands|default:'Бренды'
               items = $brands|default:false
               size = 5
               compact = true
               oneclick = $oneclick|default:false}

      {* <!-- подключаем фильтр вариантов --> *}
      {include file = $nw_filter_parts|cat:'variants.tpl'
               title = $title_variants|default:'Варианты'
               items = $variants|default:false
               size = 5
               compact = true
               oneclick = $oneclick|default:false}

      {* <!-- подключаем фильтр свойств --> *}
      {include file = $nw_filter_parts|cat:'properties.tpl'
               items = $properties|default:false
               size = 5
               show_counts = $show_counts|default:false
               short_count = $short_count|default:false
               compact = true
               oneclick = $oneclick|default:false}

  {/capture}

  {* <!-- если есть непустой результат подключений блоков фильтра --> *}
  {if $temp|regex_replace:'/[\s\r\n]/':'' != ''}

      {* <!-- число отобранных товаров --> *}
      <div class="filter-container-state-totals">
          найдено {$items_count|default:0|string_format:'%d'} товаров согласно
      </div>

      {* <!-- определяем основной URI страницы для передачи параметром action в форму --> *}
      {$temp_uri = $smarty.server.REQUEST_URI|default:''}
      {$temp_uri = $temp_uri|regex_replace:'/#.*$/':''}
      {$temp_uri = $temp_uri|regex_replace:'/\?.*$/':''}
      {$temp_uri = $temp_uri|regex_replace:"'[/\\\]page_[0-9]+$'":''}

      {* <!-- форма --> *}
      <form action="{$temp_uri|escape}" class="filter-container-state-form" method="get">

          {* <!-- если заданы границы диапазона цен --> *}
          {if $cost_from > 0 || $cost_to > 0}

              <div class="filter-prices">

                  {* <!-- оглавление блока --> *}
                  <div class="filter-prices-title">
                      {$title_prices|default:'Цена'}
                  </div>

                  {* <!-- надпись дипазона цен --> *}
                  <label class="filter-price-item">
                      от {$cost_from|string_format:'%d'} {**}
                      {if $cost_to > 0}
                          до {$cost_to|string_format:'%d'} {**}
                      {/if}
                      {$currency->sign|default:''}
                  </label>

              </div>

          {/if}

          {* <!-- выводим результат подключений блоков фильтра --> *}
          {$temp}

          {* <!-- ссылка Сбросить фильтр --> *}
          <a href="{$site|default:''|escape}" {**}
             class="filter-link-submit" {**}

             {* <!-- по клику очищаем поля формы, постим ее и даем контейнеру фильтра стиль ИСПОЛНЯЕТСЯ --> *}
             onclick="javascript: var object = jQuery(this).closest('form');
                                  jQuery(object).find('input[type=hidden]').val('');
                                  jQuery(object).find('input[type=checkbox]')
                                                .each(function () {
                                                          this.checked = false;
                                                      });
                                  jQuery(object).closest('.filter-container')
                                                .addClass('filter-container-posted');
                                  jQuery(object).submit();
                                  return false;">
              Сбросить
          </a>

      </form>

  {/if}

{/strip}