{* <!-- макет страницы без центральной части --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Проверяем неучтенные случаи "Ошибка 404".                                  |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/settings.htm'}
    {include 'common/check404.htm'}
    {include 'common/prepare-vars.htm'}

    {* <!-- =======================================================================
    |                                                                             |
    |  Непосредственно разметка.                                                  |
    |                                                                             |
    ======================================================================== --> *}

<!DOCTYPE html>
    <html lang="ru" xmlns="http://www.w3.org/1999/xhtml">
        <head>
            <base href="{site}" />
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <meta name="viewport" content="width=1100px, height=device-height, initial-scale=1" />

            <title>{title}</title>
            <meta content="{inputValue from=description}" name="Description" />
            <meta content="{inputValue from=keywords}" name="Keywords" />

            <link href="{theme}images/favicon.ico" rel="icon" type="image/vnd.microsoft.icon" />
            <link href="{theme}images/favicon.ico" rel="icon" type="image/x-icon" />
            <link href="{theme}images/favicon.ico" rel="shortcut icon" type="image/x-icon" />

            {$verMM = $smarty.const.IMPERA_CMS_CURRENT_MMVERSION|default:''}
            {$verYMD = $smarty.const.IMPERA_CMS_CURRENT_VERSION|default:''}
            <meta name="author" content="Impera CMS" />
            <meta name="generator" content="Impera CMS {$verMM} ({$verYMD})" />

            {* <!-- ===============================================================
            |                                                                     |
            |  Стили.                                                             |
            |                                                                     |
            ================================================================ --> *}

            <link href="{theme}css/style.css" rel="stylesheet" type="text/css" />
            <link href="{theme}css/print.css" rel="stylesheet" type="text/css" />
            <link href="{theme}html/slider/css/style.css" rel="stylesheet" type="text/css" />
            <link href="{theme}html/JAK-lightbox/styles.css" rel="stylesheet" type="text/css" />
            <link href="{theme}css/cart.css" rel="stylesheet" type="text/css" />
            <link href="{theme}css/credit-programs.css" rel="stylesheet" type="text/css" />

            {* <!-- ===============================================================
            |                                                                     |
            |  В конфигурации мог быть указан цветовой стиль дизайна.             |
            |                                                                     |
            ================================================================ --> *}

            {$colorStyleVK = '78A305'}
            {$colorStylePath = ''}
            {echoVar from='config->colorStyle' assign=colorStyle}
            {if $colorStyle != ''}
                {$colorStyleVK = $colorStyle}
                {$colorStyle = '-'|cat:$colorStyle|escape}
                {$colorStylePath = 'restyle'|cat:$colorStyle|cat:'/'}
                <link href="{theme}css/restyle{$colorStyle}.css" rel="stylesheet" type="text/css" />
            {/if}

            {* <!-- ===============================================================
            |                                                                     |
            |  Скрипты.                                                           |
            |                                                                     |
            ================================================================ --> *}

            <script>
                currentSiteUrl = '{site}';
                currentThemeUrl = '{theme}';
            </script>
            <script src="{theme}js/script.js"  type="text/javascript"></script>
            <script src="{theme}js/jqtransform.js"  type="text/javascript"></script>
            <script src="{theme}js/superfish.js"  type="text/javascript"></script>
            <script src="{theme}js/easing.1.3.js"  type="text/javascript"></script>
            <script src="{theme}js/scrollto-1.4.2-min.js"  type="text/javascript"></script>
            <script src="{theme}js/serialscroll-1.2.2-min.js"  type="text/javascript"></script>
            <script src="{theme}js/scroller.js"  type="text/javascript"></script>
            <!-- script>if (readCookie('tabCookie0') == null) createCookie('tabCookie0', 1, 365);</script -->

            {* <!-- ===============================================================
            |                                                                     |
            |  Основной модуль мог попросить добавить некоторые мета-теги.        |
            |                                                                     |
            ================================================================ --> *}

            {echoVar from=meta}
        </head>

        <body {echoVar from=body_params}>
            <div id="wrapper1">
                <div id="wrapper2">
                    <div id="wrapper3">

                        {* <!-- ===================================================
                        |                                                         |
                        |  Шапка сайта.                                           |
                        |                                                         |
                        ==================================================== --> *}

                        <header>
                            <a href="{site}" id="header_logo">
                                <img class="logo" src="{theme}images/logo.png" alt="" />
                            </a>

                            <div id="header_right">

                                {* <!-- ===========================================
                                |                                                 |
                                |  Ссылки на некоторые дефолтные страницы.        |
                                |                                                 |
                                ============================================ --> *}

                                <ul class="signpost-links">
                                    <li><a href="catalog?mode=hit">Популярные</a></li>
                                    <li><a href="catalog?mode=newest">Новые</a></li>
                                    <li><a href="catalog?mode=actional">Акционные</a></li>
                                    <li><a href="catalog?mode=awaited">Ожидаемые</a></li>
                                    <li><a href="catalog?mode=ordered">Покупаемые</a></li>
                                    <li><a href="catalog?mode=commented">Обсуждаемые</a></li>
                                    <li><a href="quickorder">Оптовый заказ</a></li>
                                    <li><a href="configurator">Комплект</a></li>
                                    <li><a href="media">Файлы</a></li>
                                    <li><a href="stocks">Склады</a></li>
                                    <li><a href="callme">Позвоним</a></li>
                                </ul>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Языки сайта (если не запрещены конфигурацией). |
                                |                                                 |
                                ============================================ --> *}

                                {if empty($config->noLanguagePanel)}
                                    <div id="languages_block_top">
                                        <ul id="first-languages">
                                            <li class="selected_language" title="Сейчас выбран русский язык сайта">Ru</li>
                                            <li><a title="Переключиться на украинский язык" onclick="alert('К сожалению, смена языков не поддерживается текущей версией движка сайта!')">Ua</a></li>
                                            <li><a title="Переключиться на английский язык" onclick="alert('К сожалению, смена языков не поддерживается текущей версией движка сайта!')">En</a></li>
                                        </ul>
                                    </div>
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Валюты.                                        |
                                |                                                 |
                                ============================================ --> *}

                                {if !empty($currencies)}
                                    <div id="currencies_block_top">
                                        <form id="setCurrency" method="post">
                                            <label>Валюта:</label>
                                            <select name="currency_id" onchange="jQuery(this).closest('form').submit()">
                                                {echoVar from='currency->currency_id' assign=sid}
                                                {foreach $currencies as $item}
                                                    {$id = $item->currency_id|default:0}
                                                    <option value="{$id|escape}" {($sid === $id) ? "selected" : ""}>
                                                        {name}
                                                    </option>
                                                {/foreach}
                                            </select>
                                        </form>
                                    </div>
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Поиск.                                         |
                                |                                                 |
                                ============================================ --> *}

                                <div id="search_block_top">
                                    <form action="search" method="post" id="searchbox">
                                        <label>Поиск</label>
                                        <a class="history" href="search" title="История поиска">?</a>
                                        <input name="keyword" type="text" value="{inputValue from=keyword}" maxlength="64" class="search_query" id="search_query_top" placeholder="что ищем..." data-format=".+" data-notice="Введите искомый текст" />
                                        <input name="reset_old" type="hidden" value="1" />
                                        <a onclick="searchStart(this)">Найти</a>
                                    </form>
                                </div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Убеждаемся, что у нас есть верхнее меню.       |
                                |                                                 |
                                ============================================ --> *}

                                {if empty($menuTop)}
                                    {menuByLangTechName name='Верхнее меню' attach='sections' assign=menuTop scope=global}
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Верхнее меню (если имеет прикрепления страниц).|
                                |                                                 |
                                ============================================ --> *}

                                {if !empty($menuTop->sections)}
                                    {echoVar from='section->section_id' assign=sid}
                                    <ul id="tmheaderlinks">
                                        {$number = 1}
                                        {foreach $menuTop->sections as $item}
                                            {if !empty($item->enabled) && (empty($item->hidden) || $helper->existsUser())}
                                                {echoVar from='item->section_id' assign=id}
                                                {$class = ($id == $sid) ? 'class="active"' : ''}
                                                <li>
                                                    <a href="{url}" {$class}>{plainText from='item->name' size=15}</a>
                                                </li>
                                                {$number = $number + 1}
                                                {if $number > 8}{break}{/if}
                                            {/if}
                                        {/foreach}
                                    </ul>
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Информация о пользователе.                     |
                                |                                                 |
                                ============================================ --> *}

                                <ul id="header_user">
                                    <li id="shopping_cart">
                                        <a href="cart">
                                            Корзина: &nbsp;
                                            <span class="ajax_cart_no_product">
                                                <span class="cart_info_count">{echoVar from=cart_products_num}</span> шт.
                                            </span>
                                        </a>
                                        <div id="user_info-{randomId}">
                                            <a class="login" href="defer">
                                                Отложено: &nbsp;
                                                <span class="defer_info_count">{echoVar from=defer_products_num}</span> шт.
                                            </a>
                                        </div>
                                    </li>
                                    <li id="your_account">
                                        {if $helper->existsUser()}
                                            <a href="account">Кабинет</a>
                                            <div id="user_info-{randomId}">
                                                <a class="login" href="logout">Выход</a>
                                            </div>
                                        {else}
                                            <a href="login">Вход на сайт</a>
                                            <div id="user_info-{randomId}">
                                                <a class="login" href="registration">Регистрация</a>
                                            </div>
                                        {/if}
                                    </li>
                                </ul>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Убеждаемся, что у нас есть дерево категорий.   |
                                |                                                 |
                                ============================================ --> *}

                                {if !isset($categories)}
                                    {categories assign=categories scope=global}
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Категории.                                     |
                                |                                                 |
                                ============================================ --> *}

                                {if !empty($categories)}
                                    <a id="menu4x3_switch" onclick="toggleMenu4x3()" title="Изменить вид меню разделов">
                                        <img src="{theme}images/{$colorStylePath}menu4x3-switch.png" alt="" />
                                    </a>

                                    {if empty($tplSettings['menu4x3'])}
                                        {echoVar from='category->category_id' assign=sid}
                                        <div id="tmcategories">
                                            {function categoriesTree level = 1}
                                                {$number = 1}
                                                {foreach $categories as $item}
                                                    {if !empty($item->enabled) && (!empty($item->products_count) || empty($settings->catalog_menu_noempty))}
                                                        {if empty($item->hidden) || $helper->existsUser()}
                                                            {$id = $item->category_id|default:0}
                                                            {$is_parent = !empty($item->subcategories)}
                                                            {name assign=name}
                                                            <li {($is_parent) ? "class=\"sub\"" : ""}>
                                                                {if $level == 1}
                                                                    <img src="{theme}images/menu-icons/{$number}.png" class="category-menu-icon" alt="" />
                                                                {/if}
                                                                <a href="{url}" {($sid === $id) ? "class=\"selected\"" : ((!empty($item->highlighted)) ? "class=\"highlighted-link\"" : "")}>
                                                                    {if $level == 1}
                                                                        <b>{plainText from=name size=28}</b>
                                                                    {else}
                                                                        {plainText from=name size=32}
                                                                    {/if}
                                                                </a>
                                                                {if $is_parent && $level < 3}
                                                                    <ul class="subcat lvl1">
                                                                        {categoriesTree categories=$item->subcategories level=$level+1}
                                                                    </ul>
                                                                {/if}
                                                            </li>
                                                            {$number = $number + 1}
                                                            {if $level == 1 && $number > 6}{break}{/if}
                                                        {/if}
                                                    {/if}
                                                {/foreach}
                                            {/function}
                                            <ul class="tmc1 sf-menu" id="cat">
                                                {categoriesTree}
                                            </ul>
                                        </div>
                                    {else}
                                        <div id="tmcategories" class="menu4x3">
                                            {capture assign=icon_path}
                                                {theme}images/menu-icons/
                                            {/capture}
                                            {include '../../common_parts/AIMatrix/categories.htm'
                                                     items = $categories
                                                     namepath = ''
                                                     maxlevel = 3
                                                     maxcount = 12
                                                     filter = []
                                                     opentag = ''
                                                         box_opentag = ''
                                                             listing_opentag = '<ul class="tmc1 sf-menu" id="cat">'
                                                                 link_opentag = '<li><img src="'|cat:$icon_path|cat:'1.png" class="category-menu-icon" alt="" />'
                                                                     a_id = ''
                                                                     a_class = ''
                                                                     a_active_class = 'selected'
                                                                     a_highlighted_class = 'highlighted-link'
                                                                     a_target = ''
                                                                     a_text_maxsize = 32
                                                                     a_text_top_maxsize = 28
                                                                     sublisting_opentag = '<ul class="subcat lvl1">'
                                                                         sublink_opentag = '<li>'
                                                                         sublink_closetag = '</li>'
                                                                     sublisting_closetag = '</ul>'
                                                                     sublisting_separator = ''
                                                                     sublisting_separator_capacity = 1000000
                                                                 link_closetag = '</li>'
                                                             listing_closetag = '</ul>'
                                                             listing_separator = '</ul></div><div id="tmcategories" class="menu4x3"><ul class="tmc1 sf-menu" id="cat">'
                                                             listing_separator_capacity = 4
                                                         box_closetag = ''
                                                     closetag = ''}
                                        </div>

                                        {* <!-- ===================================
                                        |                                         |
                                        |  Скрипт отрисовки иконок категорий.     |
                                        |                                         |
                                        ==================================== --> *}

                                        <script type="text/javascript">
                                            var objects = jQuery('ul.sf-menu > li > img.category-menu-icon');
                                            if (objects.length > 0) {
                                                for (var i = 0; i < objects.length; i++) {
                                                    objects[i].src = '{$icon_path|escape}' + (i + 1) + '.png';
                                                }
                                            }

                                            /* подвигаем колонки под меню */
                                            jQuery(document).ready(function () {
                                                var objects = jQuery('header div.menu4x3');
                                                var pos = objects.length * 74;
                                                if (pos > 0) {
                                                    jQuery('#columns.menu4x3').css({ 'margin-top': pos + 'px' });
                                                    jQuery('#tmnivoslider').addClass('menu4x3-' + objects.length);
                                                }
                                            });
                                        </script>
                                    {/if}
                                {/if}

                                {* <!-- ===========================================
                                |                                                 |
                                |  Баннер.                                        |
                                |                                                 |
                                ============================================ --> *}

                                {if empty($is_on_404) && empty($no_top_banner)}
                                    {$root_path = 'Electronics-slider/'}
                                    {$path = ($module_name|default:'' != 'catalog') ? ($module_name|default:'') : ''}
                                    {$path = $page->url|default:$section->url|default:$article->url|default:$news_item->url|default:$file->url|default:$stock->url|default:$product->url|default:$category->url|default:$brand->url|default:$path}
                                    {$path = $path|regex_replace:'![/\\\\]+$!':''}
                                    {$path = ($path|lower == 'cat') ? '' : $path}
                                    {$path = $path|cat:(($path != '') ? '/' : '')}
                                    {$path = ($root_path|cat:$path)|lower}
                                    {$path = $path|regex_replace:'![/\\\\]+!':'/'}
                                    {include 'slider/main.tpl'
                                             banner_path = $path
                                             link_css = false
                                             link_easing = true
                                             link_engine = true}
                                {/if}
                            </div>
                        </header>

                        {* <!-- может правую колонку просили скрыть или вообще убрать на специальной странице? --> *}
                        {$noRightPanel = !empty($tplSettings['noRightPanelUrls']) && (in_array('*', $tplSettings['noRightPanelUrls']) || in_array($page->url|default:''|lower, $tplSettings['noRightPanelUrls']))}
                        {$noRightClass = (!$noRightPanel && empty($tplSettings['hideRightPanel'])) ? '' : 'no-right-panel'}

                        {* <!-- ===================================================
                        |                                                         |
                        |  Контент основного модуля страницы.                     |
                        |                                                         |
                        ==================================================== --> *}

                        <div id="columns" {(empty($tplSettings["menu4x3"])) ? "" : "class=\"menu4x3\""}>
                            <div id="center_column" class="center_column {$noRightClass}">
                                {content}

                                {* <!-- ===========================================
                                |                                                 |
                                |  SEO текст (кроме остальных страниц списков).   |
                                |                                                 |
                                ============================================ --> *}

                                {if empty($product) && !empty($seo_description) && empty($smarty.get.page)}
                                    <div id="seo-text">{$seo_description}</div>
                                {/if}
                            </div>

                            {* <!-- ===============================================
                            |                                                     |
                            |  Правая колонка.                                    |
                            |                                                     |
                            ================================================ --> *}

                            {if !$noRightPanel}
                                <a id="right_column_switch" onclick="toggleRightColumn()" title="Свернуть / развернуть правую панель">
                                    <img src="{theme}images/{$colorStylePath}right-column-switch.png" alt="" />
                                </a>

                                <div id="right_column" class="column {$noRightClass}">

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Микро разметка (если не отключ. в конфиге).|
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightSchemaOrg)}
                                        {include 'common/schema.org.htm'
                                                 item = $product|default:false
                                                 link_css = false}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Подкатегории (если не отключены в конфиге).|
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightSubcategories)}
                                        {if !empty($category->subcategories) || !isset($category) && !empty($categories)}
                                            <div class="block subcategories">
                                                <h4>{$category->name|default:'Каталог'|truncate:23:'...':true}</h4>
                                                <div class="block_content">
                                                    <ul class="bullet">
                                                        {foreach $category->subcategories|default:$categories as $item}
                                                            {if !empty($item->enabled) && (!empty($item->products_count) || empty($settings->catalog_menu_noempty))}
                                                                {if empty($item->hidden) || $helper->existsUser()}
                                                                    {$class = (!empty($item->highlighted)) ? 'class="highlighted-link"' : ''}
                                                                    <li class="item"><a {$class} href="{url}">{name}</a></li>
                                                                {/if}
                                                            {/if}
                                                        {/foreach}
                                                    </ul>
                                                </div>
                                            </div>
                                        {/if}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Завлекающие ссылки.                        |
                                    |                                             |
                                    ======================================== --> *}

                                    <div>
                                        <a class="button full-width" href="discount-sale">Товары со скидками</a>
                                    </div>

                                    <div>
                                        <a class="button full-width highlighted" href="highlight-sale">Выделенные товары</a>
                                    </div>

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Фильтр товаров.                            |
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightFilter)}
                                        {if !empty($is_on_category)}
                                            {include 'filter/main.tpl'
                                                     title = 'Подбор по параметрам'
                                                         size = 5
                                                         oneclick = TRUE
                                                     show_prices = TRUE
                                                         title_prices = 'Цена'
                                                         price_maxvalue = 50000
                                                     show_brands = TRUE
                                                         title_brands = 'Бренды'
                                                     show_variants = FALSE
                                                         title_variants = 'Варианты'
                                                         variant_property = ''
                                                     show_properties = TRUE
                                                         brand_property = 'Производитель'
                                                     show_counts = TRUE
                                                         short_count = TRUE
                                                     link_css = TRUE
                                                     link_engine = TRUE
                                                     link_uislider = TRUE}
                                        {/if}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Состояние корзины.                         |
                                    |                                             |
                                    ======================================== --> *}

                                    <div class="block exclusive" id="cart_block">
                                        <h4><span><a href="cart">Корзина</a></span></h4>
                                        <div class="block_content">
                                            <div class="expanded" id="cart_block_list">
                                                <p id="cart_block_no_products">
                                                    <b class="cart_info_count">{echoVar from=cart_products_num}</b> товаров, {**}
                                                    отложено <b class="defer_info_count">{echoVar from=defer_products_num}</b>
                                                </p>
                                                <div class="cart-prices">
                                                    <div class="cart-prices-block">
                                                        <span>На сумму</span>
                                                        <span class="price ajax_cart_shipping_cost" id="cart_block_shipping_cost">
                                                            <b class="cart_info_sum">{$helper->priceForScreen($cart_total_price)}</b> {sign}
                                                        </span>
                                                    </div>
                                                    <div class="cart-prices-block">
                                                        <span>Скидка</span>
                                                        <span class="price ajax_block_cart_total" id="cart_block_total">
                                                            <b class="cart_info_discount_sum">{$helper->priceForScreen($cart_total_discount_sum)}</b> {sign}
                                                        </span>
                                                    </div>
                                                </div>
                                                <p id="cart-buttons">
                                                    <a class="button_mini" href="account?tab=history">Мои заказы</a>
                                                    <a class="button_small" id="button_order_cart" href="defer">Отложенные</a>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <br />

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Состояние сравнения.                       |
                                    |                                             |
                                    ======================================== --> *}

                                    <div id="compare_info">
                                        <a class="compare_info" href="{site}compare" rel="nofollow">
                                            {$compare_microinfo|default:'В сравнении нет товаров'|strip_tags}
                                        </a>
                                    </div>

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Бренды (если не отключены в конфигурации). |
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightBrands)}
                                        {if !empty($all_brands)}
                                            <div class="block brands">
                                                <h4>Бренды</h4>
                                                <div class="block_content">
                                                    <ul class="bullet">
                                                        {foreach $all_brands as $item}
                                                            {if !empty($item->enabled) && (!empty($item->products_count) || empty($settings->catalog_menu_noempty))}
                                                                {if empty($item->hidden) || $helper->existsUser()}
                                                                    <li class="item"><a href="{url}">{name}</a></li>
                                                                {/if}
                                                            {/if}
                                                        {/foreach}
                                                    </ul>
                                                </div>
                                            </div>
                                        {/if}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Ссылка на карту брендов.                   |
                                    |                                             |
                                    ======================================== --> *}

                                    <div>
                                        <a class="button full-width" href="catalog?map">Производители и разделы сайта</a>
                                    </div>

                                    {if empty($config->noRightKits)}
                                        <div>
                                            <a class="button full-width highlighted" href="kits">Комплекты товаров</a>
                                        </div>
                                    {/if}

                                    {if empty($config->noRightMakeMoney)}
                                        <div>
                                            <a class="button full-width highlighted" href="make-money">Зарабатывайте с нами</a>
                                        </div>
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Товары (специальные).                      |
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightActional)}
                                        {include '../../common_parts/AIMatrix/Constructor/listing.htm'
                                                 items = $hit_products|default:$hits|default:false
                                                 maxcount = 10
                                                 opentag = '<div class="home_block" id="tmspecials">'
                                                     title_opentag = '<h4><span>'
                                                         title_a_href = 'catalog?mode=hit'
                                                         title_a_params = 'class="tmspecials_title" rel="nofollow"'
                                                             title = $settings->products_hit_title|default:'Хиты продаж'
                                                     title_closetag = '</span></h4>'
                                                     box_opentag = '<div class="block_content VerticalScrollerItems">'
                                                         listing_opentag = '<ul class="box-product">'
                                                             link_opentag = '<li>'
                                                                 includes = [ 'common/product-card1.htm' ]
                                                             link_closetag = '</li>'
                                                         listing_closetag = '</ul>'
                                                     box_closetag = '</div>'
                                                 closetag = '<div class="clearblock"></div></div><script>jQuery("#tmspecials .VerticalScrollerItems").VerticalScroller({ visible: 1 });</script>'}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Твиты (если не отключены в конфигурации).  |
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightShopTweets)}
                                        {include 'common/shop-tweets.htm'
                                                 title = 'Наши твиты'
                                                 topic = 'main'
                                                 maxcount = 5
                                                 link_css = false}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Недавно просмотренные страницы.            |
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightRecent)}
                                        {include 'common/recent.htm'}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Облако тегов (если не отключено в конфиге).|
                                    |                                             |
                                    ======================================== --> *}

                                    {if empty($config->noRightTagsCloud)}
                                        {include 'common/tags-cloud.htm'}
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Группа ВКонтакте (если задана в конфиге).  |
                                    |                                             |
                                    ======================================== --> *}

                                    {if !empty($config->vk_group)}
                                        <script type="text/javascript" src="http://vk.com/js/api/openapi.js?101"></script>
                                        <div id="vk_groups"></div>
                                        <script type="text/javascript">
                                            VK.Widgets.Group('vk_groups', { mode: 0,
                                                                            width: '241',
                                                                            height: '400',
                                                                            color1: 'FFFFFF',
                                                                            color2: '{inputValue from=colorStyleVK}',
                                                                            color3: '{inputValue from=colorStyleVK}' }, {$config->vk_group});
                                        </script>
                                    {/if}
                                </div>
                            {/if}
                            <div class="clearblock"></div>
                        </div>
                    </div>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Подвал страницы.                                           |
                    |                                                             |
                    ======================================================== --> *}

                    <footer>
                        <div id="footer_wrapper">
                            <div id="footer">

                                {* <!-- ===========================================
                                |                                                 |
                                |  Блок акцентов.                                 |
                                |                                                 |
                                ============================================ --> *}

                                <div class="clearfix" id="reinsurance_block">
                                    <ul class="width3">
                                        <li>
                                            <img src="{theme}images/accents/1.png" alt="" />
                                            <span>
                                                <b>Минимальный</b> заказ
                                                <i>не менее <b>{$helper->priceForScreen($settings->orders_minimal_sum|default:0)} {sign}</b></i>
                                                <span>возможно оформление в кредит</span>
                                            </span>
                                        </li>
                                        <li>
                                            <img src="{theme}images/accents/2.png" alt="" />
                                            <span>
                                                <b>{echoVar from='config->phone1'}</b>
                                                <i>понедельник - пятница</i>
                                                <span>работаем с 8:00 до 18:00</span>
                                            </span>
                                        </li>
                                        <li>
                                            <img src="{theme}images/accents/3.png" alt="" />
                                            <span>
                                                <b>Служба</b> поддержки
                                                <i>ответит на ваши вопросы</i>
                                                <span>всегда рады помочь</span>
                                            </span>
                                        </li>
                                    </ul>
                                </div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Блок "О нас".                                  |
                                |                                                 |
                                ============================================ --> *}

                                <div id="tmtextblock">
                                    <span class="txt1">{echoVar from='config->about_title'}</span>
                                    <span class="txt2">{echoVar from='config->about1'}</span>
                                    <span class="txt3">{echoVar from='config->about2'}</span>
                                </div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Дубль верхнего меню.                           |
                                |                                                 |
                                ============================================ --> *}

                                <div id="tmfooterlinks">
                                    {if !empty($menuTop->sections)}
                                        {echoVar from='section->section_id' assign=sid}
                                        <div>
                                            <h4>Информация</h4>
                                            <ul>
                                                {$number = 1}
                                                {foreach $menuTop->sections as $item}
                                                    {if !empty($item->enabled) && (empty($item->hidden) || $helper->existsUser())}
                                                        {echoVar from='item->section_id' assign=id}
                                                        {$class = ($id == $sid) ? 'class="active"' : ''}
                                                        <li>
                                                            <a href="{url}" {$class}>{plainText from='item->name' size=25}</a>
                                                        </li>
                                                        {$number = $number + 1}
                                                        {if $number > 5}{break}{/if}
                                                    {/if}
                                                {/foreach}
                                            </ul>
                                        </div>
                                    {/if}

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Разные ссылки.                             |
                                    |                                             |
                                    ======================================== --> *}

                                    <div>
                                        <h4>Наши акции</h4>
                                        <ul>
                                            <li><a href="discount-sale">Товары со скидками</a></li>
                                            <li><a href="highlight-sale">Выделенные товары</a></li>
                                            <li><a href="catalog?mode=hit">Популярные товары</a></li>
                                            <li><a href="catalog?mode=newest">Новые товары</a></li>
                                            <li><a href="quickorder">Оптовый заказ</a></li>
                                        </ul>
                                    </div>

                                    {* <!-- =======================================
                                    |                                             |
                                    |  Ссылки в личный кабинет.                   |
                                    |                                             |
                                    ======================================== --> *}

                                    <div>
                                        <h4>Мой кабинет</h4>
                                        <ul>
                                            <li><a href="account">Личный кабинет</a></li>
                                            <li><a href="account?tab=history">История заказов</a></li>
                                            <li><a href="account?tab=favorites">Мои товары</a></li>
                                            <li><a href="account?tab=correspondence">Моя переписка</a></li>
                                            <li><a href="defer">Отложенные товары</a></li>
                                        </ul>
                                    </div>
                                </div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Нижняя полоса сайта.                           |
                                |                                                 |
                                ============================================ --> *}

                                <p class="powered-bar">
                                    <span class="rss"><a href="rss"><img src="{theme}images/{$colorStylePath}rss.png" alt="" /></a></span>
                                    <span class="cms"><a href="http://imperacms.ru/">Скрипт магазина</a> - Impera CMS</span>
                                    <span class="designer">Дизайн от <a href="http://templatemonster.com/authors/hermes/">Hermes, TemplateMonster.com</a></span>
                                    <span>&copy; {$smarty.now|date_format:'%Y'} <a href="{site}">{echoVar from='settings->site_name'}</a></span>
                                </p>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Социальные ссылки.                             |
                                |                                                 |
                                ============================================ --> *}

                                <div id="social_block">
                                    <h4>Следите за нами:</h4>
                                    <table>
                                        <tr>
                                            <td>
                                                <ul>
                                                    {if !empty($config->vkontakte)}<li class="vkontakte"><span></span> - <a href="{inputValue from='config->vkontakte'}">ВКонтакте</a></li>{/if}
                                                    {if !empty($config->twitter)}<li class="twitter"><span></span> - <a href="{inputValue from='config->twitter'}">Twitter</a></li>{/if}
                                                    {if !empty($config->youtube)}<li class="youtube"><span></span> - <a href="{inputValue from='config->youtube'}">YouTube</a></li>{/if}
                                                </ul>
                                            </td>
                                            <td>
                                                <ul>
                                                    {if !empty($config->facebook)}<li class="facebook"><span></span> - <a href="{inputValue from='config->facebook'}">Facebook</a></li>{/if}
                                                    <li class="rss"><span></span> - <a href="rss" title="RSS лента">RSS</a></li>
                                                    {if !empty($config->google)}<li class="google"><span></span> - <a href="{inputValue from='config->google'}">Google+</a></li>{/if}
                                                </ul>
                                            </td>
                                        </tr>
                                    </table>
                                </div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Контактная информация.                         |
                                |                                                 |
                                ============================================ --> *}

                                <div id="block_contact_infos">
                                    <h4>Наши контакты</h4>
                                    <ul>
                                        <li class="contact_infos_company"><strong>{echoVar from='settings->company_name'}</strong></li>
                                        <li class="contact_infos_address">{echoVar from='config->address'}</li>
                                        <li class="contact_infos_phone">Тел: <span>{echoVar from='config->phone1'}</span></li>
                                        <li class="contact_infos_email">Емейл: <a href="mailto:{inputValue from='config->email1'}">{echoVar from='config->email1'}</a></li>
                                    </ul>
                                </div>
                                <div class="clearblock"></div>

                                {* <!-- ===========================================
                                |                                                 |
                                |  Счетчики, скрипты аналитики и т.п.             |
                                |                                                 |
                                ============================================ --> *}

                                {messageBox from='settings->counters' css='page-counters'}
                            </div>
                        </div>
                    </footer>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Кнопка "Наверх страницы".                                  |
                    |                                                             |
                    ======================================================== --> *}

                    <a id="back-top" title="К началу страницы">↑</a>
                </div>
            </div>

            {* <!-- ===============================================================
            |                                                                     |
            |  Всплывающая форма "Уведомить о наличии".                           |
            |                                                                     |
            ================================================================ --> *}

            {include 'common/notify-form.htm'
                     id = 'ask_notify_exist_form'
                     title = 'Уведомить о наличии'
                     submit = 'Ok'}

            {* <!-- ===============================================================
            |                                                                     |
            |  Всплывающая форма "Быстрый заказ".                                 |
            |                                                                     |
            ================================================================ --> *}

            {include 'common/fulminant-order.htm'
                     id = 'fulminant-order-form'
                     title = 'Быстрый заказ'
                     submit = 'Ok'
                     remark = ''}

            {* <!-- ===============================================================
            |                                                                     |
            |  Контейнеры всплывающей корзины и плашки "Добавлен в сравнение".    |
            |                                                                     |
            ================================================================ --> *}

            <div class="quick_cart" id="cart_quickcontent" style="display: none;"></div>
            <div class="quick_compare" id="compare_quickcontent" style="display: none;"></div>
        </body>
    </html>

{/strip}