{* <!-- информер 1 для внешних сайтов --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Подсказка: так как в Impera CMS имеется модуль партнерской программы, то   |
    |  внешние сайты обычно подключают к себе ваш информер, но с передачей в нем  |
    |  своего реферального кода, чтобы по вашей программе получать комиссионные   |
    |  за действия клиентов (например оплату заказа), которых они привели на ваш  |
    |  сайт со своего сайта.                                                      |
    |                                                                             |
    |  Поэтому правильно будет договориться с партнером, в каком параметре        |
    |  подключаемого информера он будет сообщать свой реферальный код, здесь      |
    |  извлекать этот код и добавлять во все ссылки готовящегося тела информера   |
    |  (помним, что модуль партнерской программы оперирует параметром aref).      |
    |                                                                             |
    |  Предположим этим параметром будет поле ref в параметрах запроса.           |
    |                                                                             |
    ======================================================================== --> *}

        {* <!-- извлекаем код партнера (конвертируем ref в aref) --> *}
        {$partner = trim($smarty.request.ref|default:'')}
        {$partner = ($partner != '') ? ('?aref='|cat:($partner|escape)) : ''}

    {* <!-- =======================================================================
    |                                                                             |
    |  Теперь готовим тело информера. Обычно сюда выводят несколько новинок или   |
    |  акционных товаров. Мы для примера выведем 5 товаров, имеющих какие-либо    |
    |  скидки.                                                                    |
    |                                                                             |
    |  Обратите внимание, что в теле цикла стоит проверка поля "не экспорт",      |
    |  чтобы отклонить передачу в информер тех товаров, у каких менеджер включил  |
    |  этот флажок и тем самым не желает "светить" такой товар на внешних сайтах. |
    |                                                                             |
    ======================================================================== --> *}

    {capture assign=body}
        <h6>Акции сайта <a href="{site}{$partner}">{inputValue from='settings->site_name'}</a></h6>

        {discountProducts count=5 assign=items}
        {if !empty($items)}
            <ul>
                {foreach $items as $item}
                    {if empty($item->export_disabled)}
                        {findImage type=product assign=image}
                        <li>
                            <a href="{url}{$partner}">
                                <span><span><img src="{$image['thumb']}" width="50" /></span></span> {name}
                            </a>
                            <br />
                            <span>{discountPrice}</span>
                        </li>
                    {/if}
                {/foreach}
            </ul>
        {/if}
    {/capture}

    {* <!-- =======================================================================
    |                                                                             |
    |  Подсказка: информер подключается внешним сайтом на свою страницу как       |
    |  сторонний javascript (для них ваш сайт - сторонний). Например вот так      |
    |      <script src="http://ваш.сайт/informer?ref=КодПартнера"></script>       |
    |                                                                             |
    |  Соответственно подготовленное тело информера нужно заключить в javascript  |
    |  инструкцию, чтобы оно могло быть показано на странице внешнего сайта,      |
    |  который захотел подключить ваш информер.                                   |
    |                                                                             |
    |  При этом экранируем одинарные кавычки и слеши, чтобы javascript не попал   |
    |  на такую ошибку: document.write(' мое 'тело' с кавычками или слешем \');   |
    |                                                                             |
    ======================================================================== --> *}

        {* <!-- экранируем кавычки и слеши --> *}
        {$body = $body|replace:"'":"' + '\\'' + '"}
        {$body = $body|replace:"\\":"' + '\\\\' + '"}

    {* <!-- отдаем как javascript --> *}
    document.write('{$body}');



    {* <!-- =======================================================================
    |                                                                             |
    |  Подсказка: у вашего сайта может быть произвольное количество информеров,   |
    |  в каждый может транслироваться та информация, какую вы сформируете в       |
    |  информере.                                                                 |
    |                                                                             |
    |  Пример как внешний сайт может подключать ваши разные информеры:            |
    |      <script src="http://ваш.сайт/informer?ref=КодПартнера"></script>       |
    |      <script src="http://ваш.сайт/informer?num=1&ref=КодПартнера"></script> |
    |      <script src="http://ваш.сайт/informer?num=2&ref=КодПартнера"></script> |
    |      <script src="http://ваш.сайт/informer?num=5&ref=КодПартнера"></script> |
    |      <script src="http://ваш.сайт/informer?num=8&ref=КодПартнера"></script> |
    |                                                                             |
    |  В вашем шаблоне этим подключениям соответствуют файлы:                     |
    |      informer.htm                                                           |
    |      informer.htm                                                           |
    |      informer2.htm                                                          |
    |      informer5.htm                                                          |
    |      informer8.htm                                                          |
    |                                                                             |
    |  При отсутствии файла с указанным номером используется файл informer.htm    |
    |                                                                             |
    ======================================================================== --> *}

{/strip}