{* <!-- центральная часть страницы заказа по таблице / сбора комплекта --> *}{strip}

    {* <!-- определяем текст заголовка --> *}
    {$title = (!isset($as_cataloged) || $as_cataloged) ? ($section->header|default:'Оптовый заказ') : 'Собрать комплект'}

    {* <!-- =======================================================================
    |                                                                             |
    |  Устанавливаем глобальные переменные (для заголовков страницы в index.tpl). |
    |                                                                             |
    ======================================================================== --> *}

    {$meta = '<meta name="Robots" content="noindex,follow" />' scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Хлебные крошки.                                                            |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/breadcrumbs.htm'
             prelast = $title}

    <h1>{$title}</h1>

    {* <!-- =======================================================================
    |                                                                             |
    |  Если есть элементы конфигуратора (категории товаров).                      |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($items)}

        {* <!-- ===================================================================
        |                                                                         |
        |  Может была ошибка?                                                     |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from=error css=error}

        {* <!-- ===================================================================
        |                                                                         |
        |  Вступительный текст.                                                   |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from='section->body' css='page-preamble preamble-text'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Скрипты конфигуратора товаров.                                         |
        |                                                                         |
        ==================================================================== --> *}

        <script>
            function chooseConfiguratorFlag ( flag ) {
                try {
                    var temp = flag.checked;
                    var level = jQuery(flag).attr('data-level');
                    jQuery(flag).closest('form').find('input[data-level="' + level + '"]').each(function () {
                        this.checked = false;
                    });
                    flag.checked = temp;
                } catch (e) { }
            }

            function onchangeConfiguratorInput ( element ) {
                try {
                    if (jQuery.trim(element.value) != '') {
                        jQuery(element).addClass('changed');
                    } else {
                        jQuery(element).removeClass('changed');
                    }
                } catch (e) { }
            }

            function onsubmitConfiguratorForm ( form ) {
                try {
                    if (Emulate_BaloonValidateForm(form)) {
                        var flags = false;
                        var elements = jQuery(form).find('input[type=text]');
                        if (!elements.length) {
                            flags = true;
                            elements = jQuery(form).find('input[type=checkbox]');
                        }
                        if (elements.length) {
                            for (var i = 0; i < elements.length; i++) {
                                if (jQuery.trim(elements[i].value) == '' || flags && ('checked' in elements[i]) && !elements[i].checked) elements[i].disabled = true;
                            }
                            return true;
                        }
                    }
                } catch (e) { }
                return false;
            }
        </script>

        {* <!-- ===================================================================
        |                                                                         |
        |  Форма выбора товаров.                                                  |
        |                                                                         |
        ==================================================================== --> *}

        <form action="cart" class="configurator-form" method="post" onsubmit="return onsubmitConfiguratorForm(this)">

            {* <!-- ===================================================================
            |                                                                         |
            |  Перебираем элементы конфигуратора (категории товаров).                 |
            |                                                                         |
            ==================================================================== --> *}

            {$number = 0}
            {$level = 0}
            {foreach $items as $cat}

                {* <!-- ===============================================================
                |                                                                     |
                |  Если категория содержит товары или подкатегории.                   |
                |                                                                     |
                ================================================================ --> *}

                {if !empty($cat.products) || !empty($cat.subcats)}
                    {$level = $level + 1}

                    {* <!-- ===============================================================
                    |                                                                     |
                    |  Название категории (стилем сдвигаем вправо согласно уровню).       |
                    |                                                                     |
                    ================================================================ --> *}

                    <div {if $cat.indent|default:0 > 0} class="subitem" style="padding-left: {$cat.indent * 35 + 10}px;" {/if}>
                        {$cat.name|default:''}
                    </div>

                    {* <!-- ===============================================================
                    |                                                                     |
                    |  Если категория содержит товары с вариантами.                       |
                    |                                                                     |
                    ================================================================ --> *}

                    {if !empty($cat.products)}
                        {foreach $cat.products as $item}
                            {if !empty($item->variants)}
                                {foreach $item->variants as $v}
                                    {$price = $helper->priceForScreen($v->discount_price|default:0)}
                                    {$stock = $v->stock|default:0}

                                    {* <!-- ===============================================
                                    |                                                     |
                                    |  Если вариант есть в наличии и имеет цену.          |
                                    |                                                     |
                                    ================================================ --> *}

                                    {if $price > 0 && $stock > 0}
                                        {$number = $number + 1}
                                        <li class="{($number % 2 != 0) ? 'even' : 'odd'}">

                                            {* <!-- =======================================
                                            |                                             |
                                            |  Если это заказ по таблице.                 |
                                            |                                             |
                                            ======================================== --> *}

                                            {if !isset($as_cataloged) || $as_cataloged}

                                                {* <!-- ===================================
                                                |                                         |
                                                |  Поле "Количество".                     |
                                                |                                         |
                                                ==================================== --> *}

                                                <input type="hidden" name="configurate1[{$number}]" value="{inputValue from='v->variant_id'}" />
                                                <input type="text" name="configurate2[{$number}]" data-format="number" data-format_optional data-notice="Введите количество" value="" onkeyup="onchangeConfiguratorInput(this)" />

                                                {* <!-- ===================================
                                                |                                         |
                                                |  Реальное количество на складе.         |
                                                |                                         |
                                                ==================================== --> *}

                                                {if empty($config->noQuickorderCounts)}
                                                    <p>{$stock} шт.</p>
                                                {/if}

                                            {* <!-- =======================================
                                            |                                             |
                                            |  Иначе это сбор комплекта.                  |
                                            |                                             |
                                            ======================================== --> *}

                                            {else}

                                                {* <!-- ===================================
                                                |                                         |
                                                |  Флажок "Выбираю этот товар".           |
                                                |                                         |
                                                ==================================== --> *}

                                                <input type="hidden" name="configurate1[{$number}]" value="{inputValue from='v->variant_id'}" />
                                                <input type="checkbox" name="configurate2[{$number}]" data-level="{$level}" value="1" onchange="chooseConfiguratorFlag(this)" />
                                            {/if}

                                            {* <!-- =======================================
                                            |                                             |
                                            |  Цена.                                      |
                                            |                                             |
                                            ======================================== --> *}

                                            <div>{$price} {sign}</div>

                                            {* <!-- =======================================
                                            |                                             |
                                            |  Название товара + имя варианта.            |
                                            |                                             |
                                            ======================================== --> *}

                                            {name} {if !empty($v->name)}<i>{$v->name}</i>{/if}
                                        </li>
                                    {/if}
                                {/foreach}
                            {/if}
                        {/foreach}
                    {/if}
                {/if}
            {/foreach}

            {* <!-- ===============================================================
            |                                                                     |
            |  Кнопка "В корзину".                                                |
            |                                                                     |
            ================================================================ --> *}

            <input type="submit" class="button" value="В корзину" /> &nbsp; {**}
            <label>
                <input type="checkbox" checked name="rechange" value="1" /> перед добавлением товаров сначала очистить корзину
            </label>
        </form>

    {* <!-- =======================================================================
    |                                                                             |
    |  Иначе конфигуратор пуст.                                                   |
    |                                                                             |
    ======================================================================== --> *}

    {elseif !isset($as_cataloged) || $as_cataloged}
        <div class="error">Не найден каталог товаров!</div>
    {else}
        <div class="error">Не найдены категории, помеченные быть в конфигураторе!</div>
    {/if}

{/strip}