{* <!-- центральная часть страницы Забыли пароль? --> *}{strip}

    {$title = $section->header|default:$title|default:'Генерация пароля'}

    {* <!-- =======================================================================
    |                                                                             |
    |  Устанавливаем глобальные переменные (для заголовков страницы в index.tpl). |
    |                                                                             |
    ======================================================================== --> *}

    {$meta = '<meta name="Robots" content="noindex,follow" />' scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Хлебные крошки.                                                            |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/breadcrumbs.htm'
             prelast = $title}

    <h1>{$title}</h1>

    {* <!-- =======================================================================
    |                                                                             |
    |  Если есть информационное сообщение или новый пароль.                       |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($message) || isset($new_password)}
        {if !empty($message)}
            <div class="information message_ok">{$message}</div>
        {elseif !empty($new_password)}
            <div class="information message_ok">На Ваш емейл отправлено электронное письмо с новым паролём.</div>
        {else}
            <div class="information message_ok">На указанный Вами емейл отправлено электронное письмо с подтверждающей ссылкой.</div>
        {/if}
    {else}

        {* <!-- ===================================================================
        |                                                                         |
        |  Может была ошибка?                                                     |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from=error css=error}

        {* <!-- ===================================================================
        |                                                                         |
        |  Вступительный текст (если не задан, тогда текст по умолчанию).         |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from='section->body' css='page-preamble preamble-text'
                    def='Эта страница предназначена для генерации нового пароля учётной записи (аккаунта). Вы должны ввести основной или дополнительный логин (емейл) своей учётной записи. В ответ на указанный емейл будет выслано электронное письмо с подтверждающей ссылкой. Только пройдя по этой ссылке, Вы снова попадёте на текущую страницу сайта и тем самым активируете процедуру генерации нового пароля. Сгенерированный пароль будет немедленно выслан вторым письмом на тот же емейл.'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Форма ввода.                                                           |
        |                                                                         |
        ==================================================================== --> *}

        <form class="std forgot_password" method="post">
            <fieldset>

                {* <!-- ===========================================================
                |                                                                 |
                |  Поле "Логин".                                                  |
                |                                                                 |
                ============================================================ --> *}

                <p class="text required" title="Ваш логин (емейл)">
                    <label>Ваш логин:</label>
                    <input name="email" value="{inputValue from='item->email'}" maxlength="64" type="text" required placeholder="логин..." />
                </p>

                {* <!-- ===========================================================
                |                                                                 |
                |  Поле "Капча".                                                  |
                |                                                                 |
                ============================================================ --> *}

                <p class="text required" title="Защитный код с картинки">
                    <label>Введите код с картинки:</label>
                    <input name="captcha" maxlength="12" type="text" value="" required placeholder="защитный код..." />
                    <div class="captcha">
                        <img src="captcha.jpg?unique={randomId}" />
                    </div>
                </p>

                {* <!-- ===========================================================
                |                                                                 |
                |  Кнопка "Отправить".                                            |
                |                                                                 |
                ============================================================ --> *}

                <p class="submit">
                    <input class="button_large" type="submit" value="Начать" />
                </p>
                <div class="clearblock"></div>
            </fieldset>
        </form>

        {* <!-- ===================================================================
        |                                                                         |
        |  Дополнительные ссылки.                                                 |
        |                                                                         |
        ==================================================================== --> *}

        <ul class="footer_links">
            <li>
                <a href="login"><img class="icon" src="{theme}images/icon/my-account.png" /></a>
                <a href="login">Я вспомнил пароль!</a>
            </li>
        </ul>
    {/if}

{/strip}