{* <!-- центральная часть страницы товара --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  В конфигурации мог быть указан цветовой стиль дизайна.                     |
    |                                                                             |
    ======================================================================== --> *}

    {echoVar from='config->colorStyle' assign=colorStylePath}
    {if $colorStylePath != ''}
        {$colorStylePath = 'restyle-'|cat:($colorStylePath|escape)|cat:'/'}
    {/if}


    {name from=product assign=model}
    {$title = $product->meta_title|default:$model scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Хлебные крошки.                                                            |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/breadcrumbs.htm'
             prelast = $model}

    {* <!-- если существует запись о товаре --> *}
    {if !empty($product)}

        {* <!-- ИДы товара и его варианта --> *}
        {$pid = $product->product_id|default:''|escape}
        {$vid = $product->variants[0]->variant_id|default:''|escape}

        {* <!-- есть ли в наличии? --> *}
        {$exist = $product->variants[0]->stock|default:0 > 0}

        {* <!-- имеет ли скидку? (переменная $old примет цену без скидки) --> *}
        {$old = ''}
        {$discounted = $helper->hasDiscount($product, 1, $old)}

        {* <!-- разрешена ли продажа под заказ? --> *}
        {$maybe = !empty($settings->cart_enable_reservation)}

        {* <!-- кнопка Уведомить о наличии --> *}
        {capture assign=notify_button}
            {if empty($product->non_usable)}
                {$marker = '__variant_id_here__'}
                <a class="notify_button" href="{site}notify/exist/{$pid}/{$marker}" rel="nofollow" onclick="return Ask_Notify_Exist(this, 'ask_notify_exist_form', '{$pid}', '{$marker}');" title="Уведомить о наличии">
                    <img src="{theme}images/{$colorStylePath}notify_me.png" alt="Уведомить о наличии" />
                </a>
            {/if}
        {/capture}

        {* <!-- захватываем в переменную $alt составное название товара --> *}
        {capture assign=alt}
            {if !empty($settings->product_category_show)}{$product->category|default:''} {/if}
            {if !empty($settings->product_brand_show)}{$product->brand|default:''} {/if}
            {$model}
        {/capture}

        {$admintools = ($smarty.session.admin|default:'' == 'admin') ? ('tooltip="product" product_id="'|cat:$pid|cat:'"') : ''}
        <a class="show-catalog" href="products" title="Весь каталог товаров">&lt;</a>
        <h1 {$admintools}>{$alt}</h1>

        {* <!-- информационное сообщение --> *}
        {include 'common/message.htm'
                 message = $message|default:''}

        <div class="clearfix" id="primary_block">
            <div id="pb-right-column">

                {* <!-- флажок Новинка --> *}
                {if !empty($product->newest)}
                    <img class="flag-newest" src="{theme}images/{$colorStylePath}flag-newest.png" alt="Новинка" />
                {/if}

                {* <!-- флажок Акция --> *}
                {if !empty($product->actional) || !empty($discounted)}
                    <img class="flag-actional" src="{theme}images/{$colorStylePath}flag-actional.png" alt="Акция" />
                {/if}

                {* <!-- флажок Хит --> *}
                {if !empty($product->hit)}
                    <img class="flag-hit" src="{theme}images/{$colorStylePath}flag-hit.png" alt="Хит продаж" />
                {/if}

                {* <!-- флажок Скоро в продаже --> *}
                {if !empty($product->awaited)}
                    <img class="flag-super" src="{theme}images/{$colorStylePath}flag-super.png" alt="Супер цена" />
                {/if}

                {* <!-- блок фотографий страницы товара --> *}
                {include 'common/photos.htm'
                         item = $product
                         name = $alt
                         files_folder = 'files/products/'}

                {* <!-- ссылка Распечатать --> *}
                <ul class="bordercolor" id="usefull_link_block">
                    <li class="print">
                        <a onclick="print()">Распечатать</a>
                    </li>
                </ul>
            </div>

            {* <!-- микро разметка --> *}
            {include 'common/schema.org.htm'
                     item = $product|default:false
                     link_css = false}

            {* <!-- название товара --> *}
            <div id="pb-left-column">
                <h2>{$model}</h2>

                {* <!-- цена --> *}
                {$price = $helper->priceForScreen($product->variants[0]->discount_price|default:0)}
                <form class="bordercolor" id="buy_block" method="post">
                    <div class="price bordercolor">
                        {if !empty($product->non_usable)}
                            <span class="our_price_display">
                                <span class="price" id="our_price_display">
                                    Экспонат
                                </span>
                            </span>
                        {else}
                            <span class="our_price_display">
                                <span class="price" id="our_price_display">
                                    <span class="inherited" id="PRODUCT_variant_price_{$pid}">
                                        {if empty($price)}
                                            Цена договорная
                                        {else}
                                            {$price}
                                        {/if}
                                    </span> {sign}
                                </span>
                            </span>

                            {* <!-- кнопка В корзину --> *}
                            <p id="add_to_cart">
                                <a class="exclusive" id="PRODUCT_variant_addkey_{$pid}" href="{site}cart/add/{$vid}" onclick="{if $exist || $maybe}return Quick_Add_To_Cart('{$pid}', '{$vid}'); {else} alert('Этого товара нет в наличии!'); return false; {/if}">
                                    {if $exist}
                                        В корзину
                                    {elseif $maybe}
                                        Под заказ
                                    {else}
                                        Товара нет
                                    {/if}
                                </a>
                            </p>

                            {* <!-- поле Количество --> *}
                            <p id="quantity_wanted_p">
                                <input class="text quantity_wanted" id="product_{$pid}_count" maxlength="5" size="3" type="text" value="1" />
                                <label>кол-во:</label>
                            </p>
                        {/if}
                    </div>

                    {* <!-- старая цена --> *}
                    {if empty($product->non_usable)}
                        <div class="other_options bordercolor">
                            <div id="other_prices">
                                <p id="old_price" {if empty($discounted)} style="display: none;" {/if}>
                                    <span id="old_price_display">
                                        <span class="inherited" id="PRODUCT_variant_oldprice_{$pid}">
                                            {$old}
                                        </span> {sign}
                                    </span>
                                </p>

                                {* <!-- процент скидки --> *}
                                {$percent = $old / 100}
                                {$percent = ($percent > 0) ? $helper->priceForScreen(100 - $price / $percent, FALSE) : 0}
                                <p id="reduction_percent" {if empty($discounted)} style="display: none;" {/if}>
                                    -<span id="reduction_percent_display">{$percent}</span>%
                                </p>

                                {* <!-- наличие на складе --> *}
                                <p id="pQuantityAvailable">
                                    <span id="quantityAvailable">
                                        <span class="inherited" id="PRODUCT_variant_exist_{$pid}">
                                            {if $exist}
                                                Есть
                                            {else}
                                                {$notify_button|replace:$marker:$vid}
                                                &nbsp; &nbsp; <span class="warning">НЕТ</span>
                                            {/if}
                                        </span>
                                    </span> <span id="quantityAvailableTxtMultiple">
                                                в наличии
                                            </span>
                                </p>

                                {* <!-- буквенный код товара --> *}
                                {if !empty($product->pcode)}
                                    <p class="product-code">{$product->pcode}</p>
                                {/if}

                                {* <!-- когда ожидается --> *}
                                {if !$exist}
                                    {$date = $product->coming_date|default:'00-00-0000'}
                                    {if $date != '00-00-0000'}
                                        {$now = $smarty.now|date_format:'%Y%m%d'}
                                        {if !isset($product->coming_compare) || $product->coming_compare > $now}
                                            <p class="product-coming-date">
                                                Ожидается {$date}
                                            </p>
                                        {/if}
                                    {/if}
                                {/if}

                                {* <!-- гарантия --> *}
                                {if !empty($product->guarantee)}
                                    <p class="product-guarantee">Гарантия: {$product->guarantee} мес.</p>
                                {/if}
                            </div>

                            {* <!-- сообщение о скидке --> *}
                            <div id="attributes">
                                <span class="discount" id="discount_display" {if empty($discounted)} style="display: none;" {/if}>
                                    Цена со скидкой!
                                </span>
                                <div class="clearblock"></div>

                                {* <!-- селектор вариантов --> *}
                                {if !empty($product->variants) && count($product->variants) > 1}
                                    <p title="Выберите вариант товара">
                                        <input type="hidden" id="productId-{$pid}" value="{$pid}" />
                                        <select class="product-variant-selector" id="variantId-{$pid}" onchange="PRODUCT_display_variant(jQuery(this).closest('form'), '{$pid}', this.value);">
                                            {foreach $product->variants as $r}
                                                <option value="{$r->variant_id|default:''|escape}">
                                                    {if $r->name|default:'' != ''}
                                                        {$r->name}
                                                    {else}
                                                        {$model}
                                                    {/if}
                                                </option>
                                            {/foreach}
                                        </select>
                                        <label for="variantId-{$pid}">
                                            Вариант
                                        </label>
                                    </p>
                                {else}
                                    <input type="hidden" id="variantId-{$pid}" value="{$vid}" />
                                {/if}

                                {* <!-- скрипт обработки выбора другого варианта товара --> *}
                                <script type="text/javascript">
                                    var PRODUCT_variants_prices = new Array;
                                    var PRODUCT_variants_oldprices = new Array;
                                    var PRODUCT_variants_percents = new Array;
                                    var PRODUCT_variants_exists = new Array;

                                    PRODUCT_variants_prices['{$pid}'] = new Array;
                                    PRODUCT_variants_oldprices['{$pid}'] = new Array;
                                    PRODUCT_variants_percents['{$pid}'] = new Array;
                                    PRODUCT_variants_exists['{$pid}'] = new Array;

                                    {if !empty($product->variants)}
                                        {$number = 1}
                                        {foreach $product->variants as $r}
                                            {$rid = $r->variant_id|default:''|escape}
                                            {$old = ''}
                                            {$price = $helper->hasDiscount($product, $number, $old)}
                                            {$price = $helper->priceForScreen($r->discount_price|default:0)}
                                            {$percent = $old / 100}
                                            {$percent = ($percent > 0) ? $helper->priceForScreen(100 - $price / $percent, FALSE) : 0}

                                            PRODUCT_variants_prices['{$pid}']['{$rid}'] = '{$price}';
                                            PRODUCT_variants_oldprices['{$pid}']['{$rid}'] = '{$old}';
                                            PRODUCT_variants_percents['{$pid}']['{$rid}'] = '{$percent}';
                                            PRODUCT_variants_exists['{$pid}']['{$rid}'] = '{if $r->stock|default:0 > 0}Есть{else}НЕТ{/if}';
                                            {$number = $number + 1}
                                        {/foreach}
                                    {/if}

                                    function PRODUCT_display_variant (container, product, variant) {
                                        var price = PRODUCT_variants_prices[product][variant];
                                        var old = PRODUCT_variants_oldprices[product][variant];
                                        var percent = PRODUCT_variants_percents[product][variant];
                                        jQuery(container).find('#PRODUCT_variant_price_' + product).html(price == '0' ? 'Цена договорная' : price);

                                        jQuery(container).find('#PRODUCT_variant_oldprice_' + product).html(old);
                                        jQuery(container).find('#reduction_percent_display').html(percent);

                                        var object = jQuery(container).find('#PRODUCT_variant_addkey_' + product);
                                        if (PRODUCT_variants_exists[product][variant] == 'НЕТ') {
                                            var notify = '{$notify_button|replace:'\\':'\\\\'|replace:'\'':'\\\''}';
                                            notify = notify.replace(/{$marker}/g, variant);
                                            jQuery(container).find('#PRODUCT_variant_exist_' + product).html(notify + '&nbsp; &nbsp; <span class="warning">НЕТ</span>');
                                            {if $maybe}
                                                jQuery(object).html('Под заказ');
                                                object[0].onclick = function () { return Quick_Add_To_Cart(product, variant); };
                                            {else}
                                                jQuery(object).html('Товара нет');
                                                object[0].onclick = function () { alert('Этого товара нет в наличии!'); return false; };
                                            {/if}
                                        } else {
                                            jQuery(container).find('#PRODUCT_variant_exist_' + product).html('Есть');
                                            jQuery(object).html('В корзину');
                                            object[0].onclick = function () { return Quick_Add_To_Cart(product, variant); };
                                        }

                                        if (old > price) {
                                            jQuery(container).find('#old_price, #reduction_percent, #discount_display').show();
                                        } else {
                                            jQuery(container).find('#old_price, #reduction_percent, #discount_display').hide();
                                        }
                                    }
                                </script>

                                {* <!-- свойства товара --> *}
                                {if !empty($product->properties_tree)}
                                    {$number = 1}
                                    {foreach $product->properties_tree as $r}
                                        {if !empty($r)}
                                            {$r1 = array_shift($r)}
                                            {if !empty($r1->in_product) && !empty($r1->name)}
                                                {$v = array_unshift($r, $r1)}
                                                {$name = $r1->name|escape}
                                                <p title="{$name}">
                                                    {if $r|@count > 1}
                                                        <select class="product-property-selector" id="PRODUCT_product_{$pid}_properties_{$number}">
                                                            {foreach $r as $v}
                                                                {$value = $v->value|default:'Нет значения!'|escape}
                                                                <option value="{$v->name|default:''|escape} {$value}">{$value}</option>
                                                            {/foreach}
                                                        </select>
                                                        <label>{$name}</label>
                                                        {$number = $number + 1}
                                                    {else}
                                                        <input readonly type="text" value="{$r1->value|default:'Нет значения!'|escape}" />
                                                        <label>{$name}</label>
                                                    {/if}
                                                </p>
                                            {/if}
                                        {/if}
                                    {/foreach}
                                {/if}
                            </div>
                            <div class="clearblock"></div>
                        </div>
                    {/if}



                    {* <!-- краткое описание --> *}
                    <div class="bordercolor" id="short_description_block">
                        <div class="rte align_justify" id="short_description_content">
                            {annotation from=product assign=value}
                            <p>{plainText from=value size=2048}</p>
                        </div>

                        {* <!-- кнопка Полное описание --> *}
                        {if !empty($product->body)}
                            <p class="buttons_bottom_block">
                                <a class="button" onclick="return false;" rel="nofollow">Полное описание</a>
                            </p>
                        {/if}
                    </div>

                    {* <!-- блок "Поделиться" от Яндекс --> *}
                    <!--noindex-->
                        <div class="share bordercolor">
                            <script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
                            <div class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="button" data-yashareQuickServices="yaru,vkontakte,facebook,twitter,odnoklassniki,moimir,lj,friendfeed,moikrug">
                                &nbsp;
                            </div>
                        </div>
                        <div class="clearblock"></div>
                    <!--/noindex-->
                </form>
            </div>
        </div>

        {* <!-- ===================================================================
        |                                                                         |
        |  Блок вкладок страницы товара.                                          |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/tabs.htm'
                 item = $product
                 name = $alt}

        {* <!-- ===================================================================
        |                                                                         |
        |  Комплекты с таким товаром.                                             |
        |                                                                         |
        ==================================================================== --> *}

        {productKits from=product assign=items}
        {if !empty($items)}
            <div class="product-kits">
                <strong>Комплекты с этим товаром</strong>
                {foreach $items as $item}
                    {include 'common/kit-card.htm'
                             number = $item@iteration}
                {/foreach}
            </div>
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Аксессуары.                                                            |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/product-list.htm'
                 title = 'Аксессуары'
                 link = ''
                 items = $product->accessory_products|default:false
                 count = 1000
                 may_incomplete = true}

        {* <!-- ===================================================================
        |                                                                         |
        |  Похожие категории.                                                     |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($product->related_cids) && !empty($categories)}
            {function showCategoryFromTree cid=0}
                {foreach $cats as $item}
                    {if !empty($item->enabled) && (empty($item->hidden) || !empty($user->user_id))}
                        {if $item->category_id|default:0 == $cid}
                            {include 'common/publication-card.htm'
                                     maxsize = 100
                                     descr_maxsize = 256
                                     files_folder = 'files/categories/'}
                            {break}
                        {/if}
                        {if !empty($item->subcategories)}
                            {showCategoryFromTree cats = $item->subcategories
                                                  cid = $cid}
                        {/if}
                    {/if}
                {/foreach}
            {/function}
            <h6 class="h1">Похожие категории</h6>
            <ul class="mnf_sup_list bordercolor" id="suppliers_list-{randomId}">
                {foreach $product->related_cids as $cid}
                    {if !empty($cid) && is_int($cid)}
                        {showCategoryFromTree cats = $categories
                                              cid = $cid}
                    {/if}
                {/foreach}
            </ul>
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Похожие бренды.                                                        |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($product->related_bids) && !empty($all_brands)}
            {function showBrandFromTree cid=0}
                {foreach $cats as $item}
                    {if !empty($item->enabled) && (empty($item->hidden) || !empty($user->user_id))}
                        {if $item->brand_id|default:0 == $cid}
                            {include 'common/publication-card.htm'
                                     maxsize = 100
                                     descr_maxsize = 256
                                     files_folder = 'files/brands/'}
                            {break}
                        {/if}
                        {if !empty($item->subbrands)}
                            {showBrandFromTree cats = $item->subbrands
                                               cid = $cid}
                        {/if}
                    {/if}
                {/foreach}
            {/function}
            <h6 class="h1">Похожие торговые марки</h6>
            <ul class="mnf_sup_list bordercolor" id="suppliers_list-{randomId}">
                {foreach $product->related_bids as $cid}
                    {if !empty($cid) && is_int($cid)}
                        {showBrandFromTree cats = $all_brands
                                           cid = $cid}
                    {/if}
                {/foreach}
            </ul>
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Прикрепленные файлы.                                                   |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/files.htm'
                 item = $product
                 files_folder = 'files/products/'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Фотографии.                                                            |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/images.htm'
                 item = $product
                 files_folder = 'files/products/'
                 images_title = 'Фотографии товара'}

        {* <!-- ===================================================================
        |                                                                         |
        |  SEO текст.                                                             |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($product->seo_description)}
            <div id="seo-text">{$product->seo_description}</div>
            <br />
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Комментарии, если не запрещен к обсуждению.                            |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($product->commented)}
            {messageBox from=error css=error}

            <div id="featured_products-{randomId}">
                <h4 class="comments">
                    {($settings->products_comments_title|default:'Отзывы о товаре')|replace:'*':$alt}
                </h4>
                <a name="comments"></a>
                {include 'common/comments.htm'
                         items = $comments|default:false}
            </div>
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Дополнительные товары.                                                 |
        |                                                                         |
        ==================================================================== --> *}

        {include 'common/mores.htm'}
    {else}
        <div class="error">Нет такой страницы или ее содержимое закрыто для неавторизованных пользователей.</div>
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Не забываем о теге канонизации (если в товаре указан канонический товар).  |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($product->canonical_url)}
        {site root=true assign=root}
        {$path = preg_replace('!^[/\\\\]+!', '', $product->canonical_url_path|default:'')}
        {$url = preg_replace('!^[/\\\\]+!', '', $product->canonical_url)}
        {$meta = '<link rel="canonical" href="'|cat:$root|cat:($path|escape)|cat:($url|escape)|cat:'" />' scope=global}
    {/if}

{/strip}