{* <!-- центральная часть страницы категории / бренда --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Подготовка переменных (костыль для шаблона TemplateMonster).               |
    |                                                                             |
    ======================================================================== --> *}

    {$is_on_category = TRUE scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Хлебные крошки.                                                            |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/breadcrumbs.htm'
             last = (!empty($CurrentPage)) ? ('Страница '|cat:($CurrentPage + 1)) : ''}

    {* <!-- =======================================================================
    |                                                                             |
    |  Количество товаров в категории.                                            |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($items_count)}
        <span class="category-product-count">Найдено {$items_count} товаров</span>

        {* <!-- ===================================================================
        |                                                                         |
        |  Сохраняем значение в глобальной области (этим значением пользуется     |
        |  фильтр товаров, но размещен он в index.tpl, то есть фильтр выводится   |
        |  когда уже модуль списка товаров отработал и в принципе мог уничтожить  |
        |  свои переменные, а нам в том месте вызова фильтра не хотелось бы       |
        |  тратить ресурсы сайта на повторный select нужных значений).            |
        |                                                                         |
        ==================================================================== --> *}

        {if empty($config->noRightFilter)}
            {$items_count = $items_count scope=global}
        {/if}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  В категории или бренде показываем ссылку на весь каталог.                  |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($category) || !empty($brand)}
        <a class="show-catalog" href="products" title="Весь каталог товаров">&lt;</a>
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Заголовок.                                                                 |
    |                                                                             |
    ======================================================================== --> *}

    <h1>
        {capture assign=categoryName}
            {name from=category def=''} {**}
            {name from=brand def=''}
        {/capture}
        {$categoryName|trim|default:'Весь каталог'}
    </h1>

    {* <!-- =======================================================================
    |                                                                             |
    |  Вступительный текст категории и/или бренда (если мы на 1 странице списка). |
    |                                                                             |
    ======================================================================== --> *}

    {if empty($smarty.get.page)}
        {messageBox from='category->description' css='page-preamble preamble-text'}
        {messageBox from='brand->description' css='page-preamble preamble-text'}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Если смотрим как каталог или категория/бренд не информативная страница.    |
    |                                                                             |
    ======================================================================== --> *}

    {if !isset($category) && !isset($brand) || isset($category) && empty($category->informative) || isset($brand) && empty($brand->informative)}
        <div class="product_sort">

            {* <!-- ===============================================================
            |                                                                     |
            |  Сортировка, хотим режимы: 0 = по умолчанию, 1 = цене, 6 = имени.   |
            |                                                                     |
            ================================================================ --> *}

            {if !empty($sort_modes)}
                {$my_modes = [0, 1, 6]}
                {$value = $sort_method|default:0}
                <form id="productsSortForm" method="post">
                    <label for="selectProductSort">Сортировать</label> {**}
                    <select class="selectProductSort" id="selectProductSort" name="sort_method" onchange="jQuery(this).closest('form').submit()">
                        {foreach $sort_modes as $mode => $name}
                            {if in_array($mode, $my_modes)}
                                {$selected = ($mode == $value) ? 'selected' : ''}
                                <option value="{$mode|escape}" {$selected}>{$name}</option>
                            {/if}
                        {/foreach}
                    </select>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Направление сортировки (кроме режима "по умолчанию").      |
                    |                                                             |
                    ======================================================== --> *}

                    {if $value != 0}
                        {$dir = $sort_descending|default:0}
                        <input name="sort_descending" type="hidden" value="0" />
                        <label title="В обратном порядке">
                            &nbsp; <input {($dir) ? "checked" : ""} name="sort_descending" onclick="jQuery(this).closest('form').submit()" type="checkbox" value="1" /> наоборот
                        </label>

                        {* <!-- ===================================================
                        |                                                         |
                        |  Лаконичность сортировки (удалять ли нецелевые          |
                        |  результаты, например при сортировке по наличию нулевые |
                        |  остатки будут нецелевыми результатами).                |
                        |                                                         |
                        ==================================================== --> *}

                        {* <!-- $laconical = $sort_laconical|default:0 --> *}
                        <input name="sort_laconical" type="hidden" value="1" />
                    {/if}
                </form>
            {/if}

            {* <!-- ===============================================================
            |                                                                     |
            |  Кнопки "Назад", номер текущей страницы, "Вперед", "Все".           |
            |                                                                     |
            ================================================================ --> *}

            {if !empty($Pages)}
                &nbsp; &nbsp; {**}
                {if !empty($PrevPageUrl)}
                    <a class="button" href="{site root=true}{$PrevPageUrl|escape}"><span>«</span> Назад</a> &nbsp; {**}
                {/if}
                <a class="button highlighted" title="Номер текущей страницы">{$CurrentPage|default:0 + 1}</a> &nbsp; {**}
                {if !empty($NextPageUrl)}
                    <a class="button" href="{site root=true}{$NextPageUrl|escape}">Вперед <span>»</span></a> &nbsp; {**}
                {/if}
                {if !empty($AllOnPageUrl)}
                    <a class="button" href="{site root=true}{$AllOnPageUrl|escape}">Все <span>»</span></a> {**}
                {/if}
            {/if}

            {* <!-- ===============================================================
            |                                                                     |
            |  Переключение вида карточек товаров.                                |
            |                                                                     |
            ================================================================ --> *}

            <ul class="product_view">
                <li class="current" id="product_view_grid"></li>
                <li id="product_view_list"></li>
            </ul>
        </div>

        {* <!-- ===================================================================
        |                                                                         |
        |  Если это список товаров под фильтром, выводим форму сброса фильтра.    |
        |                                                                         |
        ==================================================================== --> *}

        {if $cost_from|default:$smarty.request.cost_from|default:$smarty.session.search_cost_from|default:0 > 0
        || $cost_to|default:$smarty.request.cost_to|default:$smarty.session.search_cost_to|default:0 > 0
        || !empty($smarty.request.filter_brand)
        || !empty($smarty.request.filter_property)
        || !empty($smarty.request.filter_variant)}
            {$url = $smarty.server.REQUEST_URI|default:''}
            {$url = preg_replace('/^([^?#]*).*?$/', '$1', $url)}
            {$url = preg_replace('![/\\\\]+page_[0-9]+$!i', '', $url)}
            {$url = preg_replace('!^[/\\\\]+!', '', $url)}
            <form action="{site root=true}{$url|escape}" class="filter-reset-note" method="post">
                <a class="button" onclick="jQuery(this).closest('form').submit()">Сбросить фильтр</a> {**}
                Вы смотрите результаты с учётом фильтра {**}
                <input name="cost_from" type="hidden" value="" />
                <input name="cost_to" type="hidden" value="" />
                <input name="filter_brand" type="hidden" value="" />
                <input name="filter_property" type="hidden" value="" />
                <input name="filter_variant" type="hidden" value="" />
            </form>
        {/if}

        {* <!-- ===================================================================
        |                                                                         |
        |  Список товаров (если существует).                                      |
        |                                                                         |
        ==================================================================== --> *}

        {if !empty($products)}
            <ul class="bordercolor grid" id="product_list">
                {foreach $products as $item}
                    {include 'common/product-card3.htm'
                             maxsize_name = 45
                             maxsize_descr = 300}
                {/foreach}
            </ul>

            {* <!-- ===============================================================
            |                                                                     |
            |  Навигатор страниц.                                                 |
            |                                                                     |
            ================================================================ --> *}

            {echoVar from=PagesNavigation}
        {else}
            <div class="error">Товары не найдены!</div>
        {/if}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Прикрепленные статьи.                                                      |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($articles_for_category)}
        {include 'common/publication-list.htm'
                 items = $articles_for_category
                 maxcount = 1000000
                 integrated = true
                     prelast = ''
                     prelast_url = ''
                     last = ''
                     last_url = ''
                 title = (($settings->articles_categories_title|default:'')|replace:'*':$categoryName)|default:'Статьи'
                 files_folder = 'files/images/articles/'
                 show_date = true
                 show_browsed = false
                 show_filecount = false
                 show_photocount = false}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Прикрепленные новости.                                                     |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($news_for_category)}
            {include 'common/publication-list.htm'
                     items = $news_for_category
                     maxcount = 1000000
                     integrated = true
                         prelast = ''
                         prelast_url = ''
                         last = ''
                         last_url = ''
                     title = (($settings->news_categories_title|default:'')|replace:'*':$categoryName)|default:'Новости'
                     files_folder = 'files/images/news/'
                     show_date = true
                     show_browsed = false
                     show_filecount = false
                     show_photocount = false}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Фото галерея (бренда или категории).                                       |
    |                                                                             |
    ======================================================================== --> *}

    {if isset($brand)}
        {include 'common/gallery.htm'
                 item = $brand
                 type = brand
                 folder = 'files/brands'
                 images_title = 'Фото галерея'}
    {elseif isset($category)}
        {include 'common/gallery.htm'
                 item = $category
                 type = category
                 folder = 'files/categories'
                 images_title = 'Фото галерея'}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Поскольку фильтр товаров пользуется некоторыми переменными модуля списка   |
    |  товаров, а сам фильтр размещен в index.tpl, то есть выводится когда уже    |
    |  модуль списка товаров отработал и в принципе мог уничтожить свои           |
    |  переменные, то мы сохраняем нужные переменные в глобальной области, чтобы  |
    |  в том месте вызова фильтра не тратить ресурсы сайта на повторный select    |
    |  нужных значений).                                                          |
    |                                                                             |
    ======================================================================== --> *}

    {if empty($config->noRightFilter)}
        {if !empty($variants)}
            {$variants = $variants scope=global}
        {/if}
        {if !empty($properties)}
            {$properties = $properties scope=global}
        {/if}
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Не забываем о теге канонизации (если адрес страницы имеет GET-параметры).  |
    |                                                                             |
    ======================================================================== --> *}

    {$url = $smarty.server.REQUEST_URI|default:''}
    {if preg_replace('/[^?#]/', '', $url) != ''}
        {site root=true assign=root}
        {$url = preg_replace('/^([^?#]*).*?$/', '$1', $url)}
        {$url = preg_replace('!^[/\\\\]+!', '', $url)}
        {$meta = ($meta|default:'')|cat:'<link rel="canonical" href="'|cat:$root|cat:($url|escape)|cat:'" />' scope=global}
    {/if}

{/strip}