{* <!-- центральная часть страницы регистрации --> *}{strip}

    {* <!-- =======================================================================
    |                                                                             |
    |  Устанавливаем глобальные переменные (для заголовков страницы в index.tpl). |
    |                                                                             |
    ======================================================================== --> *}

    {$meta = '<meta name="Robots" content="noindex,follow" />' scope=global}

    {* <!-- =======================================================================
    |                                                                             |
    |  Хлебные крошки.                                                            |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/breadcrumbs.htm'
             prelast = $registration_title}

    <h1>{echoVar from=registration_title}</h1>

    {* <!-- =======================================================================
    |                                                                             |
    |  Если форма принята успешно.                                                |
    |                                                                             |
    ======================================================================== --> *}

    {if !empty($registration_accepted)}
         <div class="information message_ok">{echoVar from=registration_message}</div>
    {else}

        {* <!-- ===================================================================
        |                                                                         |
        |  Может была ошибка?                                                     |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from=registration_error css=error}

        {* <!-- ===================================================================
        |                                                                         |
        |  Вступительный текст.                                                   |
        |                                                                         |
        ==================================================================== --> *}

        {messageBox from='section->body' css='page-preamble preamble-text'}

        {* <!-- ===================================================================
        |                                                                         |
        |  Форма ввода.                                                           |
        |                                                                         |
        ==================================================================== --> *}
        <form class="std" id="create-account_form" method="post">
            <fieldset>
                <h3>Еще не регистрировались?</h3>
                <div class="form_content clearfix">

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Фамилия".                                            |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="text required" title="Ваша фамилия">
                        <label>Ваша фамилия:</label>
                        <span><input class="account_input" name="registration_name" value="{inputValue from=registration_name}" maxlength="64" type="text" required placeholder="фамилия..." /></span>
                    </p>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Имя".                                                |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="text optional" title="Ваше имя">
                        <label>Ваше имя:</label>
                        <span><input class="account_input" name="registration_name3" value="{inputValue from=registration_name3}" maxlength="64" type="text" placeholder="имя..." /></span>
                    </p>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Отчество".                                           |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="text optional" title="Ваше отчество" style="margin-bottom: 20px;">
                        <label>Ваше отчество:</label>
                        <span><input class="account_input" name="registration_name2" value="{inputValue from=registration_name2}" maxlength="64" type="text" placeholder="отчество..." /></span>
                    </p>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Логин".                                              |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="text required" title="Ваш логин (емейл)">
                        <label>Ваш логин:</label>
                        <span><input class="account_input" name="registration_email" value="{inputValue from=registration_email}" maxlength="64" type="text" required placeholder="логин..." /></span>
                    </p>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Пароль".                                             |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="text required" title="Ваш пароль">
                        <label>Придумайте пароль:</label>
                        <span><input class="account_input" name="registration_password" value="{inputValue from=registration_password}" maxlength="64" type="password" required placeholder="пароль..." /></span>
                    </p>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Повтор пароля".                                      |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="text required" title="Повторите пароль" style="margin-bottom: 20px;">
                        <label>Повторите пароль:</label>
                        <span><input class="account_input" name="registration_password2" value="{inputValue from=registration_password2}" maxlength="64" type="password" required placeholder="пароль..." /></span>
                    </p>

                    {* <!-- =======================================================
                    |                                                             |
                    |  Поле "Капча" (если не отключена).                          |
                    |                                                             |
                    ======================================================== --> *}

                    {if empty($settings->registration_captcha_disabled)}
                        <p class="text required" title="Защитный код с картинки">
                            <label>Введите код с картинки:</label>
                            <span>
                                <input class="account_input" name="captcha" maxlength="12" type="text" value="" required placeholder="защитный код..." />
                                <div class="captcha">
                                    <img src="captcha.jpg?unique={randomId}" />
                                </div>
                            </span>
                        </p>
                    {/if}

                    {* <!-- =======================================================
                    |                                                             |
                    |  Кнопка "Отправить".                                        |
                    |                                                             |
                    ======================================================== --> *}

                    <p class="submit">
                        <input class="button_large" id="SubmitCreate" type="submit" value="Регистрация" />
                    </p>
                </div>
            </fieldset>

            {* <!-- ===============================================================
            |                                                                     |
            |  Контроль репостинга формы.                                         |
            |                                                                     |
            ================================================================ --> *}

            <input name="registration_copystop" type="hidden" value="{inputValue from=registration_copystop}" />
        </form>

        {* <!-- ===================================================================
        |                                                                         |
        |  Описание выгод регистрации.                                            |
        |                                                                         |
        ==================================================================== --> *}

        <div class="remark">
            <ul class="details">
                <li>
                    <b>Регистрация позволит вам</b>
                    <ul>
                        <li>Стать нашим постоянным клиентом.</li>
                        <li>Получить скидку на отдельные группы товаров, какой нет у незарегистрированных покупателей.</li>
                        <li>В зависимости от вашей покупательской активности получить более выгодную группу скидок.</li>
                        <li>Пользоваться личным кабинетом, где собрана история ваших заказов, а также ваша переписка с менеджерами магазина.</li>
                        <li>Участвовать в партнёрской программе, в результате которой можете получать на свой внутренний счёт комиссионные вознаграждения за покупки привлечённых вами покупателей. Накопившуюся сумму на внутреннем счёте можете использовать для оплаты собственных покупок.</li>
                    </ul>
                </li>
            </ul>
        </div>

        {* <!-- ===================================================================
        |                                                                         |
        |  Дополнительные ссылки.                                                 |
        |                                                                         |
        ==================================================================== --> *}

        <ul class="footer_links">
            <li>
                <a href="login"><img class="icon" src="{theme}images/icon/my-account.png" /></a>
                <a href="login">Я уже зарегистрирован!</a>
            </li>
        </ul>
        <div class="clearblock"></div>
    {/if}

    {* <!-- =======================================================================
    |                                                                             |
    |  Фото галерея.                                                              |
    |                                                                             |
    ======================================================================== --> *}

    {include 'common/gallery.htm'
             item = $section|default:false
             type = section
             folder = 'files/images/sections'
             images_title = 'Фото галерея'}

{/strip}