{* <!-- ===========================================================================
  Система: Impera CMS                                                             |
  Сайт системы: http://imperacms.ru/                                              |
                                                                                  |
  Назначение файла: баннер слайдер                                                |
  Расположение: http://сайт/design/папка_шаблона/html/slider/main.tpl             |
  Предназначен для шаблона: Electronics Online Store (TM #42351)                  |
  Автор шаблона: Hermes (http://templatemonster.com/ru/search/?author=Hermes)     |
  Натяжка шаблона: Dibrov Maxim (аудит, форматирование, комментарии: Impera CMS)  |
                                                                                  |
  Принимает во входных переменных:                                                |
    $banner_path = относительный путь картинок демонстрируемого баннера или       |
                   относительное имя файла демонстрируемой картинки               |
                   (по умолчанию ОТНОСИТЕЛЬНЫЙ_ПУТЬ_МОДУЛЯ-demo/)                 |
    $link_css = булевой признак "подключить свои стили" (по умолчанию true)       |
    $link_easing = булевой признак "подключить jQuery Easing" (по умолчанию true) |
    $link_engine = булевой признак "подключить свой яваскрипт" (по умолчан. true) |
                                                                                  |
  Использует другие переменные:                                                   |
    $banners = массив прочитанных баннеров                                        |
    $site = полный url корня сайта (то есть http://домен.сайта/ например)         |
    $smarty = объект шаблонизатора                                                |
                                                                                  |
  Устанавливает внешние переменные:                                               |
    $ПСЕВДО_ИМЯ_МОДУЛЯ_css_linked (глобальная) = true                             |
    $ПСЕВДО_ИМЯ_МОДУЛЯ_js1_linked (глобальная) = true                             |
    $ПСЕВДО_ИМЯ_МОДУЛЯ_js2_linked (глобальная) = true                             |
                                                                                  |
============================================================================ --> *}{strip}



    {* <!-- относительный путь модуля --> *}
    {$module_path = 'TemplateMonster/sliders/Electronics-42351'}

    {* <!-- баннер спроектирован максимум на столько картинок --> *}
    {$maxcount = 4}

    {* <!-- готовим псевдо имя модуля --> *}
    {$module_name = $module_path|regex_replace:'/[^a-z0-9]/i':''}

    {* <!-- готовим имена контрольных переменных --> *}
    {$module_var_css = $module_name|cat:'_css_linked'}
    {$module_var_js1 = $module_name|cat:'_js1_linked'}
    {$module_var_js2 = $module_name|cat:'_js2_linked'}

    {* <!-- готовим стилевой путь --> *}
    {$module_common = (($theme|default:'')|cat:'html/slider/')|escape}

    {* <!-- если позволили подключить свои стили и модуль еще не подключал их --> *}
    {if (!isset($link_css) || $link_css) && (!isset(${$module_var_css}) || !${$module_var_css})}
        <link href="{$module_common}css/style.css" rel="stylesheet" type="text/css" />

        {* <!-- ставим для повторных вызовов модуля глобальный признак CSS УЖЕ ПОДКЛЮЧЕНЫ --> *}
        {$module_var_css = true scope = 'global'}
    {/if}

    {* <!-- если движком прочитаны баннеры --> *}
    {if isset($banners) && is_array($banners) && !empty($banners)}

        {* <!-- генерируем в переменной $module_id уникальный ИД для контейнера модуля --> *}
        {capture assign = 'module_id'}
            {$module_name|escape}{math equation = 'rand(1, 100000000)'}
        {/capture}

        {* <!-- путь демо картинок баннера --> *}
        {$demo_path = $module_path|cat:'-demo/'}

        {* <!-- запоминаем входной путь --> *}
        {$path = ($banner_path|default:$demo_path)|lower}
        {$path = $path|regex_replace:'![/\\\\]+!':'/'}

        {* <!-- захватываем следующий вывод в переменную $result --> *}
        {capture assign = 'result'}

            {* <!-- получаем url папки баннеров --> *}
            {$url = ($site|default:'')|cat:($smarty.const.ADMIN_BANNERS_CLASS_UPLOAD_FOLDER|default:'')|cat:'/'}
            {$url = $url|regex_replace:'![/\\\\]+!':'/'}
            {$url = $url|regex_replace:'!^([a-z]+:/)!i':'\1/'}
            {$url = $url|escape}

            {* <!-- объявляем функцию ($dir, $level, $count) = наполнение слайдера картинками --> *}
            {function name = 'TemplateMonster_sliders_Electronics_42351'
                      level = 1
                      count = 0}

                {* <!-- перебираем папки и файлы --> *}
                {foreach $dir as $c}

                    {* <!-- если папка / файл не отключена --> *}
                    {if !isset($c->enabled) || $c->enabled}
                        {$folder = $c->path|default:''}
                        {$file = $folder|cat:($c->filename|default:'')}

                        {* <!-- если это папка, делаем рекурсию --> *}
                        {if isset($c->files)}
                            {if is_array($c->files) && !empty($c->files)}
                                {TemplateMonster_sliders_Electronics_42351 dir = $c->files
                                                                           level = $level + 1
                                                                           count = 0}
                            {/if}

                        {* <!-- иначе если это файл-картинка и он выбран или из выбранной папки --> *}
                        {elseif isset($c->width) && isset($c->height) && (($folder|lower == $path) || ($file|lower == $path))}

                            {* <!-- этот баннер не позволяет показ более заданного количества картинок --> *}
                            {if $count < $maxcount}
                                {$count = $count + 1}

                                {* <!-- ссылка, картинка --> *}
                                {$name = $c->title|default:''|strip_tags|escape}
                                {$desc = $c->description|default:''|strip_tags|escape}
                                {$price = $c->price|default:''|strip_tags|escape}
                                <a href="{($c->link|default:($site|default:''))|escape}" title="{$name} {$desc} {$price}">
                                    <img src="{$url}{$file|escape}" title="#htmlcaption_{$level}_{$count}_{$module_id}" alt="{$name} {$desc} {$price}" />
                                </a>
                            {/if}
                        {/if}
                    {/if}
                {/foreach}
            {/function}

            {* <!-- вызываем функцию наполнения слайдера картинками --> *}
            {TemplateMonster_sliders_Electronics_42351 dir = $banners
                                                       level = 1
                                                       count = 0}
        {/capture}



        {* <!-- если слайдер наполнен картинками, выводим его --> *}
        {if $result|regex_replace:'/[\s\t\r\n]/':'' != ''}

            {* <!-- если позволили подключить jQuery Easing и модуль еще не подключал его --> *}
            {if (!isset($link_easing) || $link_easing) && (!isset(${$module_var_js1}) || !${$module_var_js1})}
                <script src="{$module_common}js/jquery.easing.js" type="text/javascript"></script>

                {* <!-- ставим для повторных вызовов модуля глобальный признак JQUERY EASING УЖЕ ПОДКЛЮЧЕН --> *}
                {$module_var_js1 = true scope = 'global'}
            {/if}

            {* <!-- если позволили подключить свои яваскрипты и модуль еще не подключал их --> *}
            {if (!isset($link_engine) || $link_engine) && (!isset(${$module_var_js2}) || !${$module_var_js2})}
                <script src="{$module_common}js/nivo.slider.js" type="text/javascript"></script>

                {* <!-- ставим для повторных вызовов модуля глобальный признак JS УЖЕ ПОДКЛЮЧЕНЫ --> *}
                {$module_var_js2 = true scope = 'global'}
            {/if}

            {* <!-- контейнер слайдера --> *}
            <div id="tmnivoslider">

                {* <!-- контейнер картинок --> *}
                <div id="slider" class="{$module_id}">{$result}</div>

                {* <!-- объявляем функцию 2 ($dir, $level, $count) = наполнение слайдера описаниями картинок --> *}
                {function name = 'TemplateMonster_sliders_Electronics_42351_slave'
                          level = 1
                          count = 0}

                    {* <!-- перебираем папки и файлы --> *}
                    {foreach $dir as $c}

                        {* <!-- если папка / файл не отключена --> *}
                        {if !isset($c->enabled) || $c->enabled}
                            {$folder = $c->path|default:''}
                            {$file = $folder|cat:($c->filename|default:'')}

                            {* <!-- если это папка, делаем рекурсию --> *}
                            {if isset($c->files)}
                                {if is_array($c->files) && !empty($c->files)}
                                    {TemplateMonster_sliders_Electronics_42351_slave dir = $c->files
                                                                                     level = $level + 1
                                                                                     count = 0}
                                {/if}

                            {* <!-- иначе если это файл-картинка и он выбран или из выбранной папки --> *}
                            {elseif isset($c->width) && isset($c->height) && (($folder|lower == $path) || ($file|lower == $path))}

                                {* <!-- этот баннер не позволяет показ более заданного количества картинок --> *}
                                {if $count < $maxcount}
                                    {$count = $count + 1}

                                    {* <!-- контейнер описания --> *}
                                    <div class="nivo-html-caption {$module_id}" id="htmlcaption_{$level}_{$count}_{$module_id}">

                                        {* <!-- название --> *}
                                        <div>
                                            <h2>{$c->title|default:'Нет названия!'}</h2>
                                        </div>

                                        {* <!-- описание --> *}
                                        <div>
                                            <h3>{$c->description|default:''}</h3>
                                        </div>

                                        {* <!-- цена --> *}
                                        {if !empty($c->price)}
                                            <div>
                                                <div class="from">
                                                    цена <div class="price">{$c->price}</div>
                                                </div>
                                            </div>
                                        {/if}

                                        {* <!-- ссылка --> *}
                                        {if !empty($c->link)}
                                            <div>
                                                <a class="slide_btn" href="{$c->link|escape}">Купить</a>
                                            </div>
                                        {/if}
                                    </div>
                                {/if}
                            {/if}
                        {/if}
                    {/foreach}
                {/function}

                {* <!-- вызываем функцию 2 наполнения слайдера описаниями картинок --> *}
                {TemplateMonster_sliders_Electronics_42351_slave dir = $banners
                                                                 level = 1
                                                                 count = 0}
            </div>

            {* <!-- скрипт запуска слайдера --> *}
            <script type="text/javascript">
                jQuery(window).load(function () {
                    jQuery('.{$module_id}').nivoSlider({ effect: 'fade',                        {* // эффект или их набор, например 'fold,fade,sliceDown' *}
                                                         slices: 10,
                                                         animSpeed: 500,                        {* // скорость анимации слайдов *}
                                                         pauseTime: 8000,
                                                         startSlide: 0,                         {* // индекс начального слайда *}

                                                         directionNav: false,                   {* // показывать ли кнопки Назад и Вперед *}
                                                         directionNavHide: false,               {* // показываем кнопки только через hover *}
                                                         controlNav: true,                      {* // показывать ли кнопки 1,2,3... *}
                                                         controlNavThumbs: true,                {* // показывать ли вместо кнопок 1,2,3... миниатюры *}
                                                         controlNavThumbsFromRel: false,        {* // брать ли миниатюры из опции rel тега картинки *}
                                                         controlNavThumbsSearch: '.jpg',        {* // что искать в имени файла картинки *}
                                                         controlNavThumbsReplace: '.jpg',       {* // на что заменять искомое для миниатюр *}
                                                         keyboardNav: true,                     {* // использовать ли стрелки Вперед и Назад *}
                                                         pauseOnHover: true,                    {* // останавливать ли анимацию при наведении курсора *}
                                                         manualAdvance: false,                  {* // будут ли эффекты в ручном переключении слайдов *}

                                                         captionOpacity: 1.0,                   {* // величина непрозрачности заголовка *}

                                                         beforeChange: function () {
                                                                           var d = 0;
                                                                           jQuery('.nivo-caption ').animate({ left: -1200 }, 600, 'easeInBack');
                                                                           jQuery('.nivo-caption p div ').each(function () {
                                                                                                                   jQuery(this).delay(d += 100).animate({ left: -1200 }, 300, 'easeInBack');
                                                                                                               });
                                                                       },

                                                         afterChange: function () {
                                                                          var d = 0;
                                                                          jQuery('.nivo-caption ').animate({ left: 0 }, 500, 'easeOutBack');
                                                                          jQuery('.nivo-caption p div ').each(function () {
                                                                                                                  jQuery(this).delay(d += 100).animate({ left: 55 }, 300, 'easeOutBack');
                                                                                                              });
                                                                      },

                                                         slideshowEnd: function () { },         {* // обработчик после показа всех слайдов *}

                                                         afterLoad: function () {
                                                                        jQuery('.nivo-caption').css({ left: '55px' });
                                                                    }
                                                       });

                    jQuery('.nivo-controlNav a').hover(function () {
                                                           jQuery(this).find('span').stop().animate({ width: 13 }, 500 , 'easeOutBack');
                                                       },
                                                       function () {
                                                           jQuery(this).find('span').stop().animate({ width: 0 }, 500 ,'easeInBack');
                                                       });
                });
            </script>
        {/if}
    {/if}

{/strip}