(function ($) {
    $.fn.VerticalScroller = function (o) {
        o = $.extend({ speed: 2000,
                       visible: 3,
                       start: 0 }, o || { });

        return this.each(function () {
            var running = false,
                animCss = 'top',
                sizeCss = 'height';
            var div = $(this),
                ul = $('ul', div),
                tLi = $('li', ul),
                tl = tLi.size(),
                v = o.visible;

            ul.prepend(tLi.slice(tl - v).clone()).append(tLi.slice(0, v).clone());
            o.start += v;

            var li = $('li', ul),
                itemLength = li.size(),
                curr = o.start;
            div.css('visibility', 'visible');

            li.css({ overflow: 'hidden', float: 'none', 'padding-top': '20px', 'padding-bottom': '20px' });
            ul.css({ margin: '0', padding: '0', position: 'relative', 'list-style-type': 'none', 'z-index': '1' });
            div.css({ overflow: 'hidden', position: 'relative', 'z-index': '2', left: '0px', 'padding-top': '20px' });

            var liSize = height(li);
            var ulSize = liSize * itemLength;
            var divSize = liSize * v;

            li.css({ width: li.width(), height: li.height() });
            ul.css(sizeCss, ulSize + 'px').css(animCss, -(curr * liSize));

            div.css(sizeCss, divSize + 'px');

            setInterval(function () { go(curr + 1); }, o.speed + 5000);

            function go (to) {
                if (!running) {
                    if (to <= o.start - v - 1) {
                        ul.css(animCss, -((itemLength - v * 2) * liSize) + 'px');
                        curr = itemLength - v * 2 - 1;
                    } else if (to >= itemLength - v + 1) {
                        ul.css(animCss, -((v) * liSize) + 'px');
                        curr = v + 1;
                    } else curr = to;

                    running = true;

                    ul.animate({ top: -(curr * liSize) }, o.speed, null, function () {
                        $(li[curr]).css({ background: '#ffffff' });
                        $(li[curr]).animate({ background: '#ccffcc' }, 300, null, function () {
                            $(li[curr]).css({ background: '#ccffcc' });
                            $(li[curr]).animate({ background: '#ffffff' }, 300, null, function () {
                                $(li[curr]).css({ background: '#ffffff' });
                                $(li[curr]).animate({ background: '#ccffcc' }, 300, null, function () {
                                    $(li[curr]).css({ background: '#ccffcc' });
                                    $(li[curr]).animate({ background: '#ffffff' }, 300, null, function () {
                                        $(li[curr]).css({ background: '#ffffff' });
                                        running = false;
                                    });
                                });
                            });
                        });
                    });
                }
                return false;
            };
        });
    };

    function css (el, prop) {
        return parseInt($.css(el[0], prop)) || 0;
    };

    function width (el) {
        return  el[0].offsetWidth + css(el, 'marginLeft') + css(el, 'marginRight');
    };

    function height (el) {
        return el[0].offsetHeight + css(el, 'marginTop') + css(el, 'marginBottom');
    };
})(jQuery);
